View Issue Details

IDProjectCategoryView StatusLast Update
0000002Cinelerra-GG[All Projects] Featurepublic2019-08-01 20:37
ReporterPhyllisSmith Assigned Togoodguy  
PrioritynoneSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2018-11 
Target Version2019-06Fixed in Version2019-07 
Summary0000002: Masking Enhancements and Improvements
DescriptionThis is a "wish list" of enhancements posted by users over time and some may no longer be desired and some may not be practical:

- a single control center for masks on different tracks, for example a "Mask Manager" window with enable/disable/delete options
- feather edges (feather inside, outside, both, none)
- bezier curves and shapes for masks (square, oval, free shape using bezier so can outline an object)
- add names for masks
- way to delete masks in compositor window instead of just in mask window
- copy, cut, paste masks between tracks
- ability to assign different masks in same track as 100% or 80% or ... and separate subtract and multiply differently
- draw mask outline only so can see background until ready to use it, that way it is easier to get a good orientation

Some mask criticisms that maybe could be improved:

- crosshairs of mask is too small and lacks color aggressiveness
- mask edit does not always go away
TagsHELP needed

Activities

PhyllisSmith

PhyllisSmith

2019-07-28 13:16

manager   ~0001988

If any new issues come up, please open a new BT.
PhyllisSmith

PhyllisSmith

2019-07-27 14:02

manager   ~0001986

IgorB: thank you very much for the PNGs and SVGs -- gg always wants the SVGs so they can be manipulated in the future - this may eventually lead to standardizing sizes.

And thanks for reading the small Mask pdf -- I have made the recommended change.

About the mask getting drawn immediately and overwriting a previous mask, we have discussed this and think the best solution is just to remind users to do UNDO when this happens. I added that to the document as a note. Our reason is that the majority of the time, users would be forced to say OK, which is an extra key click. However, we did want to put out there that we could add "Make it so!" instead of "Do you want to overwrite?" -- just kidding.

I have not updated the Mask_changes,pdf on the website yet, but it will get done sometime today.
IgorBeg

IgorBeg

2019-07-27 07:59

reporter   ~0001985

I added a compressed file where You find all the PNGs and the SVGs files made for the Mask tool. The PNGs files are already put in the last ub16 build and in github (2019-07-24).
Thanks!

MaskTool_btns_PNG-SVG.tar.gz (332,252 bytes)
IgorBeg

IgorBeg

2019-07-25 09:06

reporter   ~0001983

Thanks Phyllis!

I read the Manual “Mask_changes.pdf”. For me it is okay with a little adjusting on page 4, “Pivot Point section”, 2th row: “You can either directly ...”.
I would add something like “only when Focus checkbox is checked”.

Phyllis, Andrea_paz, Andrey and all those who collaborate in the Manual, I know that to make a Manual consumes a lot of time (and a Manual is fundamental). Great work guys!

Time ago in Mailinglists I wrote my doubt/consideration about Presets Shapes:
( https://lists.cinelerra-gg.org/pipermail/cin/2019-July/000883.html )
“Now, with the 4 icons for each shape, when you press the its button, the
mask is drawn immediately and it overwrite, if any, the previous mask. ...”.
Especially if you first drew a complex mask like that of Sam's Cinelerra intro.
Maybe showing a warning when it could overwrite an pre-existing mask would be need, I think.
A kind of “Do you want overwrite the mask?” OK-Cancel.
PhyllisSmith

PhyllisSmith

2019-07-25 04:07

manager   ~0001982

IgorB: WOW! that last animated photomontage is GREAT and POWERFUL !!

I update the temporary document (until the Latex version can be modified) and it is at:
   https://www.cinelerra-gg.org/download/Mask_changes.pdf
The only thing I have to check yet is the last page with the alternative key combinations for Ubuntu 16 / Arch. Maybe the help can be modified to reflect this, but no promises.
IgorBeg

IgorBeg

2019-07-24 07:56

reporter   ~0001977

All the issues are gone away. Now it is PERFECT (by my tests).
Fantastic work!

Thanks for your explain/reasons about “move the mask by changing the X and Y coordinates in Pivot Point”, Phyllis. It is a pity but I can understand. Thanks.

Finally, I know you will close this ticket in a few hours, but allow me to show You (all) my last animated photomontage. Not today, not tomorrow, maybe in the next future but it would be nice to have that in the Mask tool and other tools/plugin, especially when the window is too long (as it is now in Mask tool). The old Notebook screens have a resolution of 1280x736 pixels.
Note: When I saw that the Help checkbox could stretch and shorten the window I thought: “wow, it can be done”.

PhyllisSmith

PhyllisSmith

2019-07-24 01:54

manager   ~0001976

IgorB: OK, the rest of the fix is in! And the Focus checkbox tumbler problem is fixed.

A Ubuntu16 build is at:
 https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz

IgorB question: "Focus checkbox is unchecked, to move the mask by changing the X and Y coordinates in Pivot Point section, because I always refer to Pivot Point. Do you think it could be possible?" I liked this idea myself, but this was the unacceptable code version that GG vehemently opposed for the following reasons:

1 - it would require almost duplication of a section of code that was already mostly duplicated twice already. Not pretty.
2 - the Pivot Point is not a "real" variable -- it is only a temporary that is calculated based on the Mask Points. So as you change a single point, it is recalculated. and not saved.

Sorry, I tried for 2 days to convince gg to do it this way, but he would only do it in the Mask Points sections because changing the mask points, is what changed the center point.
IgorBeg

IgorBeg

2019-07-23 18:47

reporter   ~0001973

Thanks for the build, GG/Phyllis.

About the bug (note 0001968)
- If Focus checkbox is unchecked it is OKAY.
- If Focus checkbox is checked (Center for rotate/scale) the bug is still there: it is drawn in the wrong place, or the Mask when it rotates/scales considers the Pivot Point without Projector Z scale (you can also see it in the my previous screencast from 00m48s).
And now, when Focus checkbox is checked, if I use tumbler or X and Y fields in Pivot Point section the Focus doesn’t move in the Compositor; in cin-20190722 it works right.

“Gang points” button in Mask Points section.
Really good and I understand you that the button has sense there, but I would like, if possible and only when Focus checkbox is unchecked, to move the mask by changing the X and Y coordinates in Pivot Point section, because I always refer to Pivot Point. Do you think it could be possible? Thank you so much.
PhyllisSmith

PhyllisSmith

2019-07-23 13:35

manager   ~0001972

IgorB: Oops, try it now!
  https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz
We are getting to the end, unless more bugs found in the next 2 days.
Sam

Sam

2019-07-23 06:56

administrator   ~0001971

"Sam/IgorB: The last feature to be requested has now been added in a "code acceptable way" by gg. To be able to do manual input and use the tumblers to move the entire mask a few millimeters, in the "Masks Points" section, enable the gang and now use that tumbler/input boxes. "

Great solution! It works fine. Thank you very much.
IgorBeg

IgorBeg

2019-07-23 06:51

reporter   ~0001970

Phyllis, the last build 20190723 seems to me the same of build 20190722: no gang and no fix.
PhyllisSmith

PhyllisSmith

2019-07-23 00:55

manager   ~0001969

IgorB: "The Mask’s center is drown in the wrong place when Camera and Projector are setted. ...I think it is a bug."
Confirmed bug. GG fixed and checked into GIT. A Ubuntu16 version will be uploaded to the usual place by end of day.

Sam/IgorB: The last feature to be requested has now been added in a "code acceptable way" by gg. To be able to do manual input and use the tumblers to move the entire mask a few millimeters, in the "Masks Points" section, enable the gang and now use that tumbler/input boxes.
IgorBeg

IgorBeg

2019-07-22 13:02

reporter   ~0001968

I write here like a ticket. If you think it is better to open a new ticket I write all the info here.
Summary: Mask tool and Camera/Projector
Description: The Mask’s center is drown in the wrong place when Camera and Projector are setted.

Take a look the screencast, please.
https://streamable.com/kyrb8
I think it is a bug.

Steps:
1) Two video track: top track with a video/clip, bottom track with Gradient plugin.
2) In top video track change z= 2 of the Camera tool, and Projector z= 0.5.
3) Move the projector on top-left of the Compositor’s canvas.
4) Create a mask in top video track.
The cross that indicate the Mask’s center is in the wrong place. If you use mouse wheel the rotation is right. Also with Focus checkbox enabled the behaviour is the same.
With Ctrl+Wheel it works right.

It seems to me it is only the drawing of the cross (and Focus) position wrong.
Thanks.
IgorBeg

IgorBeg

2019-07-22 09:49

reporter   ~0001967

Thank you GG/Phyllis. I hope users like it.
For my personal theme (SUV-sub1), when I will do it, I will use one of my suggested buttons (A...T).
PhyllisSmith

PhyllisSmith

2019-07-22 00:53

manager   ~0001965

IgorB: only the "eyes" are now in and there is a new build at:
  https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz

Sam/IgorB: "it would be better to extend it even further to the option of manual input" -- I too agree, but gg has not been able to yet come up with code that "fits" and so the 2 of us have been brainstorming today to see if he can come up with an acceptable solution.
IgorBeg

IgorBeg

2019-07-21 12:26

reporter   ~0001962

Here the compressed file with the new unclear button (Show/Hide), suggested by Sam, for all the themes.
>>> file added “MaskTool_unclear(eye)_btns.tar.gz”

The PNGs are 4 for each theme: unclear, unclear_dn, unclear_hi, unclear_up.
To notice that:
- unclear_dn.png = mask_button_dn.png
- unclear_hi.png = mask_button_hi.png
- unclear_up.png = mask_button_up.png
Then, if you want to use the “mask_button_[--].png” instead of “unclear_[--].png” version, like you have already done for the other buttons, You (GG/Phyllis) can decide.
Thank you so much!

About adding another button in Pivot Point section (Sam’s suggestion), to implement the “xlate” feature, I disagree. And without change the Section’s name: “Pivot Point” is explanatory (I hope that “explanatory” word means in English like in Italian language).
If GG can implement it, as the Layout/Buttons is now, it would be better, I think: clearer, cleaner, and intuitive, like it works in Mask Point section. Thanks for all your work.

MaskTool_unclear(eye)_btns.tar.gz (11,839 bytes)
Sam

Sam

2019-07-20 12:32

administrator  

Mask_translate.jpg (63,017 bytes)
Mask_translate.jpg (63,017 bytes)
Sam

Sam

2019-07-20 12:29

administrator   ~0001959

I find the new solution with xlate/scale very well done, but I agree with Igor that it would be better to extend it even further to the option of manual input. I have attached a picture, it is only a suggestion and can surely be solved even better.
IgorBeg

IgorBeg

2019-07-20 08:45

reporter   ~0001958

Thank you so much!
Now, all the icons in the themes are right: and Cakewalk theme and Reset button is okay

My fast reply to Phyllis’ summary: You (GG/Phyllis) have done all! Great work!
Phyllis, you have read a lot of stuff!

My long reply ...
Phyllis: ”Even though it seems like a waste to have the other themes, there was a lot of really hard work that went into them and they deserve to live.”
Long life and prosperity to all themes. .\\//
;-)

Phyllis: “...Translate function (Alt+LMB) after using the Scale button for xlate/scale
x, xlate/scale y ...”.
Sorry, what do you means “xlate”? Shouldn't the words be “scroll x” and “scroll y” (or “constraint Y” and “constraint X”?
It is very good but if You can have the full control of the mask position it would be better, like you can do with the point position, I think.
>>> link to screencast “cin20190719_MaskTool_Point-fullControl.ogv”
https://streamable.com/6lwwv
Here, below, what I wrote in note #1926:
To move exactly a mask, I think, if technically possible it would be better, without other shortcut, to be able to change the coordinate X and Y by tumbler and by edit field in Pivot Point section only when Focus checkbox is unchecked. So if you change the coordinate of the Pivot Point by hand, all the mask’s nodes moves in according with the Pivot Point exactly where you want, like when you use Alt+drag shortcut (in my case Ctrl+Alt+drag).

About eye.svg and its PNGs name.
Okay, then 4 PNGs named: unclear, unclear_dn, unclear_hi, unclear_up.
It’s a pity. I liked the name “eye”.
Sam

Sam

2019-07-19 20:30

administrator   ~0001956

I'm sorry I was too vague. This feature has been implemented by GG in the meantime. As soon as I deactivate the Markers option and activate the Boundary option, all masks will be displayed in the viewer, I can then see mask 0, mask 1 at the same time, and so on. This point is done, thank you very much.
PhyllisSmith

PhyllisSmith

2019-07-19 20:13

manager   ~0001955

Summary first!!!
----------------
GIT checkin includes the massive amount of work IgorB did for all of the icons. HUGE THANKS!!
GIT checkin includes ability to move mask in either X or Y direction only. See note below a ways.
Will await the eye.svg related png's from IgorB, but no hurry.
A Ubuntu 16 build dated today should show up before the end of the day (Colorado time).

Now for some responses to notes starting around July 12.
--------------------------------------------------------
Currently, checked in is the Mask GUI that looks close to MaskWindow-Layout_201900712_1.gif as provided by Igor and Mask_window_final_01.jpg as shown by Sam. There is a good programming reason for the layout and it is called "tabs". I can not get GG to make any further positional only layout changes.

IgorB: "Maybe a trush icon for the Del Presets button would be needed?"
Response: What is the "trush" icon?

IgorB: "For the SUV theme You find the 3 buttons for the Scale features. Why are there six PNGs instead of five?"
Response: There should be 6 pngs and 4 - up, up hi, checked and checked hi. The six are X, Y and XY and then the same with down instead. GG looked at the themes and only sees these 10 for each. If there is an extra he does not know about, what is it's name?

Sam: "Only one thing was apparently overlooked. Displaying all existing mask frames of a track."
Response: In note 1891 I asked "What? how is this even possible to conceptualize? Maybe we misunderstand -- I think you mean, for example, you have a triangle mask that with autos/keyframes goes from frame 1 to frame 10, and then on frame 50 to 100 you have a circle mask with autos/keyframes. You want to be able to see in the compositor the triangle at the same time as the circle? but they do not even exist at the same time on the timeline and their position between frame 1 and frame 10 is not even in the same place so where would you show it to be? And there could be hundreds of them too.
|
And then in note 1898, IgorB says "Phyllis: is your description of Sam's number 1 that same as his?..." And IgorB answers: I think yes."
|
So we thought that enabling Boundary and not Markers shows all masks at that point as expected. With keyframes there could be hundreds of different mask locations. Do you instead mean you want to see the 8 masks that are anywhere on the track, not just the current position, and only for the default keyframe?

IgorB: "buttons for Blond-cv and Blue-dot themes are really ugly, ... Does it make sense to waste time making buttons that nobody uses?"
Response: here is our opinion -- if someone just makes SUV and Unflat, that is sufficient and usually they can be used for all of the other themes. Any other themes created is a bonus for us. Later if someone really wants to use Pink Lady, for example, they can supply new buttons accordingly. Even though it seems like a waste to have the other themes, there was a lot of really hard work that went into them and they deserve to live.

Sam/IgorB/MatN: "want to move it horizontally a few millimeters to the left or right, but without changing the vertical position, ... The freehand movement is simply too inaccurate."
Response: You can now do this with the Translate function (Alt+LMB) after using the Scale button for xlate/scale
x, xlate/scale y, but be sure to set back to xlate/scale xy or confusion will set in.

MatN: "Addition: I noticed that in effect "brightness/contrast", if you click once on one of the two sliders, those values are then adjustable by the normal (not numeric pad) cursor keys. The left/right keys adjust in 0.001 increments, the up/down in 0.01 increments. I don´t know if this feasible for the mask too."
Response: I have not figured this out yet.

IgorB: "So I have to make only a new PNG for each theme because it would use the same "mask_button_dn.png", "mask_button_hi.png", "mask_button_up.png""
Response: just like you did the reset button

IgorB: "name for that button and the file".
Response: the name is the word "unclear" .
IgorBeg

IgorBeg

2019-07-18 11:45

reporter   ~0001941

@Sam
I can do it, but don't today. Of course, if that button works like the others I have done, except Scale buttons, there will not be the PNG with the close eye.
Can GG/Phyllis confirm, please? (So I have to make only a new PNG for each theme because it would use the same "mask_button_dn.png", "mask_button_hi.png", "mask_button_up.png")

And do you want give me a name for that button and the file, please?
(For example "mask_prst_enable.png" or "mask_prst_eye.png" or "mask_prst_show.png" ?)
Sam

Sam

2019-07-18 10:36

administrator   ~0001939

@IgorBeg
Thanks for the feedback. I accidentally used an outdated screenshot. Here is the SVG file. If you have the time and want to, could you customize this icon so that GG can use it? I would be grateful.

eye.svg (6,442 bytes)
MatN

MatN

2019-07-18 09:43

reporter   ~0001938

Addition: I noticed that in effect "brightness/contrast", if you click once on one of the two sliders, those values are then adjustable by the normal (not numeric pad) cursor keys. The left/right keys adjust in 0.001 increments, the up/down in 0.01 increments. I don´t know if this feasible for the mask too.
MatN

MatN

2019-07-18 09:15

reporter   ~0001937

Related to Sam's note 1925, I had the same problems of wanting to move by using the cursor rather than the mouse, because of better accuracy. I´m not sure it is technically possible, but could there be an (interface?) option that if the mouse pointer is over a slider, that then the cursor keys change function and move the slider? That could then work everywhere. I think this would work best if you don't have to press a mouse button at the same time, to avoid movement.
IgorBeg

IgorBeg

2019-07-18 07:18

reporter   ~0001936

Sam, for me it is good your Mask_window_06 version, not Mask_window_07.
That button (like "Mask points", "Presets shapes", "Position") have not the checked (and checked_hi) PNGs (and the code, of course), now. The Great GG (GGG) did so, to create fewer icons. So You can not close the eye when all checkboxes are unchecked.
I see that you still have the old Scale PNGs; or is it from an old Mask window screenshot ?
Sam

Sam

2019-07-17 23:28

administrator   ~0001934

What do you think of this suggestion here?

Mask_window_final_06.jpg (26,925 bytes)
Mask_window_final_06.jpg (26,925 bytes)
Mask_window_final_07.jpg (34,693 bytes)
Mask_window_final_07.jpg (34,693 bytes)
IgorBeg

IgorBeg

2019-07-17 11:44

reporter   ~0001928

And, with these other buttons for the Enable button (Show/Hide), I have finished breaking the boxes to you (and me).
Bye.

Sam

Sam

2019-07-17 10:51

administrator   ~0001927

Great idea Igor. A kind of switch that can switch between pivot and masks center position.
IgorBeg

IgorBeg

2019-07-17 07:17

reporter   ~0001926

To move exactly a mask, I think, if technically possible it would be better, without other shortcut, to be able to change the coordinate X and Y by tumbler and by edit field in Pivot Point section, only when Focus checkbox is unchecked. So if you change the coordinate of the Pivot Point by hand, all the mask’s nodes moves in according with the Pivot Point exactly where you want, like when you use Alt+drag shortcut (in my case Ctrl+Alt+drag).
Sam

Sam

2019-07-16 22:37

administrator   ~0001925

I'm trying to create some great effects with the mask tool and I noticed a problem I'm struggling with. As soon as I have created a mask and want to move it horizontally a few millimeters to the left or right, but without changing the vertical position, I can't do it, because I can never hold the same vertical position with the hand movement. The freehand movement is simply too inaccurate.

In other tools I can use the arrow keys to move exactly the object, even pixels exactly. Pressing the right arrow button three times and the object moves three pixels or millimeters to the right without changing the vertical position.

It would be great if in some way I could do the same with the masks. For example "ALT" + "Shift" key and then the arrow keys. Something like that, so I can move a mask without freehand movement. A longer hold of the arrow keys moves the masks faster.

With this smaller improvement it is possible to create "lower thirds".
Sam

Sam

2019-07-16 15:24

administrator   ~0001924

I have nothing against a new icon Igor. If you think of a better icon, then we can use it with pleasure. Only in this special case I don't like the current suggestions. Unfortunately I don't have a better idea.
IgorBeg

IgorBeg

2019-07-16 12:01

reporter   ~0001923

@Sam (and others?)
Reset button (circle with arrow and dot) was born to reset the state of the slider at its native state: dot indicate that. The Enable button (Show/Hide) does not reset at a initial state but toggle from all Off to all On and vice versa. For me a button have to have a specific function, if the icon into is specific.
For example, the Gang button is specific to move the volume of two audio track together, or as in Mask tool (now) to move all the mask together, but it always have to be used for that function: the same action on more items.
GG had to use the Reset button because there is not another icon for that function, I think. Before He used a Generic button, then it was right, for me. GG can confirm or less.
Sam: “I don't like any of the alternative button suggestions”. Okay, no problem: only a suggestion.

@Olaf
Olaf: “the themes Cakewalk, Neophyte and SUV are set in a way (coded) that the icons get an offset to the right-bottom when pressing down. If the ...”
Only for the Scale buttons (scale_[...]_down.png)I have done that feature by PNGs like in checkbox. Excuse me if, for your themes’ buttons, I have already used that.
I am using Inkscape_0.92.4 and, of course, I will provide the source files, but you know that it is time consuming to save every button on one SVG file.
If you want I can send you (here or everywhere) my work files for your themes: one file for Neophyte and one file for Cakewalk where you will find the buttons for “Presets shape”, “Position & Scale” and “Linear-Smooth_Point”. So you can change what you want. Unfortunately these SVG file have a few of layers and you must enter a little bit in my head to understand (I can make a little purge). ;-)
Let me know, please.

I have to go. Bye!
Olaf

Olaf

2019-07-16 10:38

reporter   ~0001922

Igor, the themes Cakewalk, Neophyte and SUV are set in a way (coded) that the icons get an offset to the right-bottom when pressing down. If the individual (down/dn) icons also get an offset, the hub will be much larger. In Cakewalk, the (drawn) icon offset was omitted to create a more modern look. That's just for information, how you solve it is of course up to you.

What do you use to create the graphics, if I may ask, with Gimp or with Inkscape? And when you're done with the design, do you provide the project with the sources?

(Oh, and as for the thing with my git, forget it. It was an attempt to give the sentence the necessary dramaturgy. As an author, I seem to have a lot to learn.)

delete.svg (4,109 bytes)
Sam

Sam

2019-07-16 10:13

administrator   ~0001921

@IgorBeg
You can switch the masks on or off using the individual checkmarks. These are the Enable buttons.
The reset button is not even wrong in this respect. You reset the current state of the buttons. No matter if the buttons are on or off. From a purely logical point of view I would say that GG chose the button well.

In my humble opinion I don't like any of the alternative button suggestions. Sorry. Maybe button A would be just acceptable, but it would have to be improved. Nevertheless, I find the reset button even more appropriate.
IgorBeg

IgorBeg

2019-07-16 09:30

reporter   ~0001920

Maybe I wrong write here a copy of my message in the MailingList.

Okay, all the new buttons for all the themes for Mask tool are in compressed file added.
Unfortunately the buttons for Blond-cv and Blue-dot themes are really ugly, sorry; at the beginning I was reworking these buttons but then I wondered myself “how many user use these themes?”, “Does it make sense to waste time making buttons that nobody uses?”. If You think different I will rework those buttons for Blond-cv and Blue-dot themes.
>> MaskTool_point-prst-pstn-scale_btns.tar.gz

I noticed that for the Enable (Show/Hide) button is used the Reset button. I think it should be another type of icon to distinguish features. I have done a few of demo buttons and I show you in the animated GIF. (Sorry GG another button, sigh-sigh. Sometimes I prefer the Generic button with the text inside because it is more flexible also from coder’s point of view, I think).
>> MaskTool_ShowHidebtn_demo_201900716.gif

My doubt/consideration about Presets Shapes:
Now, with the 4 icons for each shape, when you press the its button, the mask is drawn immediately and it overwrite, if any, the previous mask. At the beginning, with the three Generic button Load-Save-Del, before overwriting the previous mask, you had to open its menu, to choose the shape in the list and then click on it. More clicks but you had time to cancel.
What do you think about, please?

@Sam
Sorry Sam, when I saw your last photomontage I tried to login in MantisBT but at that time it didn’t work, and then I have done a full immersion in buttons, that I dream even when I sleep. ;-p

Thank you!

IgorBeg
(the buttons have been tested in Cin version: “cinelerra-5.1-ub16-x86_64-static_20190711-testing”)

MaskTool_point-prst-pstn-scale_btns.tar.gz (108,105 bytes)
Sam

Sam

2019-07-14 13:20

administrator   ~0001917

Last edited: 2019-07-14 13:23

View 2 revisions

@IgorBeg
The alignment lines within a layout go through the whole image. This means that everything is first oriented to the outer alignment lines, then to the inner alignment lines. From the outside to the inside. That's why this suggestion is okay, but still not perfect. The almost symmetric layout would look like this.

https://ibb.co/hd9vzCz
https://ibb.co/Qk1YJNn

IgorBeg

IgorBeg

2019-07-14 12:43

reporter   ~0001916

@Sam
Sorry but, to my eyes I see this: look at the lines in the same animated GIF, for the checkboxes and the new Presets and Position&Scale buttons.
For the others alignment I can agree with you.

@Olaf
I don see/know your git. And I am ignorant about (and other things).
If you want, when you back home from your holidays, you and me can explain better.
About "neophyte.C" code (reset_hi.png reset_dn.png) that I wrote it was only for uniformity with others themes. Thanks. And, good holidays! ;-)

Olaf

Olaf

2019-07-14 11:35

reporter   ~0001915

@IgorBeg, the change to all topics took place on 2019-05-16, I overlooked:
> "add focus centroid to masking, mod mask reset/mode btns, add sticky to mask fade, rework mask gui layout"
I had solved this as before via the icons.

My git is not up to date and I am on vacation until further notice. Until then 0000250 is valid. Thank you, Igor.
Sam

Sam

2019-07-14 11:16

administrator   ~0001914

I speak for the last version, in git with the following dates:
Commit: 8cad02a7b02e4a8543bc5514892b51aed877a193 Time: Sun, 14 Jul 2019 03:28:08 +0200 (19:28 -0600)

Controls should, if possible, be aligned with a starting line, a center line and an end line. The human eye or subconscious is always looking for order and a frame. If it doesn't have this order, then it feels chaotic, restless and ugly. If we want people to feel Cinelerra visually better again, then we should stick to these few small design guidelines.

Mask_window_final_03.jpg (66,121 bytes)
Mask_window_final_03.jpg (66,121 bytes)
IgorBeg

IgorBeg

2019-07-14 10:11

reporter   ~0001913

I have done a screencast with Cin-20190711 version to show you as the Scale buttons must work.
https://streamable.com/xv8kg

Sam, about symmetry and alignment, I think that you are speaking for the last Cin version (20190714).
Alignment of the Presets and Position&Scale buttons, in my animated GIF "MaskWindow-Layout_201900713_a-1a.gif", you can see that they are all aligned with the 8 checkboxes above. The Trush button and Scale_xy button are aligned with the 8th checkbox above.
Sam

Sam

2019-07-14 04:18

administrator   ~0001912

Here are the pitures

Mask_window_final_01.jpg (63,771 bytes)
Mask_window_final_01.jpg (63,771 bytes)
Sam

Sam

2019-07-14 04:16

administrator   ~0001911

The human eye unconsciously searches for symmetry and alignment lines. That is why people unconsciously perceive faces that are very symmetrical and everything is centred on the alignment lines. This is also the case in software design. The current layout breaks some of the rules mentioned above. With just a few tiny improvements you can make a big difference. Here's my final suggestion, it really isn't much to change.

Only one thing was apparently overlooked. Displaying all existing mask frames of a track. I would be really grateful about this function.
Sam

Sam

2019-07-13 13:11

administrator   ~0001910

Great job Igor! I like it! Thank you.
IgorBeg

IgorBeg

2019-07-13 12:40

reporter   ~0001909

Buttons for Mask tool window.

I added a file compressed and an animated GIF (photomontage with the buttons) to show the layout or an idea of layout.

In the compressed file You find:
1) the “6” buttons for Mask Linear and Smooth, for each theme. They are always the first version I have done with the blue line in smooth buttons (due at my time).
Sorry Olaf, I did not find your SVG files in Cakewalk theme to derivate the new buttons from your original buttons, but the buttons I have done have the right colour.

For the SUV theme You find the “3” buttons for the Scale features. Why are there six PNGs instead of five?

And, as first version and testing, You find the Presets (7 btns) and Positions (2 btns) buttons for only SUV theme.
I hope that these buttons work like Mask Linear/Smooth buttons: every button use 4 icons, with three common icons (“mask_button_dn.png”, “mask_button_hi.png”, “mask_button_up.png”).
If You (GG) think different, let me know, please.
Sorry Sam, I have changed again a few of them. After some test with SUV theme we (all) can decide, I think.


@GG and @Olaf
More, I noticed two things about Neophyte and Cakewalk themes:
A) Neophyte theme >> neophyte.C
- code line 361 (“reset_dn.png”) inverted with line 362 ("reset_hi.png")
It should be:
/* ****************** */
new_button("reset.png",
    "reset_up.png",
    "reset_hi.png",
    "reset_dn.png",
    "reset_button");
/* ****************** */
The PNGs files in theme_neophyte/data/PNGs are right but they are an old version.
You can find the new PNGs files for reset button, in the compressed file, with the others mask buttons.
(If/When Olaf wants he can update with one of his version)

B) Cakewalk theme >> cakewalk.C
- code line 272 (“reset_dn.png”) inverted with line 273 ("reset_hi.png")
I think, the codes should be (for consistency with the others codes/themes) like in point A, and in theme_cakewalk/data/ the two PNGs files have to be renamed: you have to swap the two names “reset_dn.png” with “reset_hi.png”.

Thank you so much!
I go to drink something. (too many buttons) ;-)

IgorBeg
(Cin version: “cinelerra-5.1-ub16-x86_64-static_20190711-testing”)

MaskTool_btns.tar.gz (41,542 bytes)
IgorBeg

IgorBeg

2019-07-13 09:02

reporter   ~0001907

@Sam
Thanks for the info about server and the last Phyllis' post. And thanks for all your work in Site/Forum/MantisBT...
Where do you find the times? Or you run at the Light velocity and then for you the time passes only a few of seconds and for me years?!
;-)

I will write in Mailinglists and here, if You think it is good. I hope GG read Mailinglist.

I changed the xy_scale button although it now seems to me a cross (like the cancel button icon).
I would like it as before (diagonal symbol like when you use the scale feature in Inkscape and the other Graphic software).
Sam

Sam

2019-07-13 00:23

administrator   ~0001905

Due to server maintenance and restore from a backup, the last post was no longer available. Here is the last post from:: @PhyllisSmith

IgorB: you can name the icons anything you like and gg will use the same names if possible. He is eagerly awaiting to see these! But I will not be at a computer from July 13 through July 16 and GG will most likely only read email and not the BT. So if you want him to see them before I get back, you can send him email (and he does not mind using datafilehost).
Sam

Sam

2019-07-12 15:46

administrator   ~0001904

I like the layout, it's clearer and more straightforward. I like the first picture you posted. However, the icon for enlarging in all directions with only two diagonal arrows is not quite correct in my humble opinion. This symbolizes that the mask can only be moved diagonally. I would make four arrows out of it, then it is also correct from the logic.
IgorBeg

IgorBeg

2019-07-12 14:14

reporter   ~0001903

Sorry, pressed wrong button.
About create buttons it is okay for me but I need more time.
Can you give me the names of the presets buttons or I can assign by me, for example "mask_prst_sqr_xyz.png", "mask_prst_cir_xyz.png", "mask_prst_tri_xyz.png" and so on?

I have done some buttons and inserted them quickly in two photomontages (animated GIF 1 and 2)
>> MaskWindow-Layout_201900712_1
>> MaskWindow-Layout_201900712_2
What do you think about?

Maybe a trush icon for the Del Presets button would be needed?

Thanks.
See you later, bye bye.

IgorBeg

IgorBeg

2019-07-12 13:59

reporter  

PhyllisSmith

PhyllisSmith

2019-07-11 20:32

manager   ~0001901

Last edited: 2019-07-11 20:35

View 2 revisions

Whatever you come up with for the layout, is probably OK with us so if IgorB can work with Sam's suggestions AND create all versions of the icons needed for at least SUV and UNFLAT, that would be good. We especially like the Center and Normalize icons but we are no good at creating them!

Now is a good time to come up with the final layout as gg has completed adding features.

Sam

Sam

2019-07-11 16:01

administrator   ~0001900

Further remarks to my photomontage:

1 I would make small quick access buttons for the most important shapes like square, circle etc.

2. I would remove the big Enable button, I don't like it there at all. I would add this small button at the end of the line.

3. with Boundary I would add the link button so that you can show all frames.
Sam

Sam

2019-07-11 15:50

administrator   ~0001899

I think the new features are fantastic.

The only thing I don't like is that the mask window has become very restless.

With a little better arrangement of the controls you can bring more clarity back in. Here a photomontage of me which shows that you can create a nice tidy surface with small changes.

It's only a first draft. The buttons have only been created very quickly, if Igor wants to create better buttons, I would be grateful, because I have very little time today.

Mask_window.jpg (55,452 bytes)
Mask_window.jpg (55,452 bytes)
IgorBeg

IgorBeg

2019-07-11 12:28

reporter   ~0001898

First, thank you so much for your feedback and thanks GG&Phyllis for the new features.

- “Del” button is okay. Thanks.

- I agree with you about Load-Save-Del buttons with the arrow in my photomontage: it is really ugly. Deleted!

- Layout
I thank GG for all the efforts he has done, and is doing, to satisfy me (and all the users) and I should not insist too much about this but Presets features should stay below Select and Enable checkboxes and buttons and I will try to explain why, if you have a few of time.
In Masks section you have Mask_name field where you can rename the mask’s ID from 0-7 to alphanumeric.
Select checkboxes is a kind of child of Mask_name field, and masks’ numbers below of it are “connected” to them (otherwise you can not know what mask is active).
Enable button and its checkboxes needed to stay near the masks’ numbers for the same reasons of Select checkboxes: otherwise you can not know what mask is active.
So, for me, the 4 items (more “Delete_mask”, “Delete_all_mask”, “Show/Hide_mask” buttons and its tumblers) Mask_name field, Select 8 checkboxes, 8 mask numbers and 8 Enable checkboxes, should stay together because they are only one entity, they are “connected” one to each other.
Presets buttons are not closely “connected” to the others and may stay alone in a separate section or a little away from them.

Center and Normal buttons where they are stay now, break your first, good, layout: a different solution is needed for me.

Scaling Mode with 3 buttons work very well. Thanks! For me they are in the wrong place there.

Phyllis: ”is your description of Sam's number 1 that same as his?...”
I think yes, and also for the old Olaf’s issue about see the masks (more or less).
The new Boundary Only feature is a good solution, I think.

Excuse me, I know I am too critic about layout but I would like it were really intuitive about the buttons’ position.
I will try to design/draw another layout thanks to photomontage

I should write other things but unfortunately I have to go.

Cin version: “cinelerra-5.1-ub16-x86_64-static_20190711-testing”
PhyllisSmith

PhyllisSmith

2019-07-11 03:00

manager   ~0001897

Masking changes checked in just now include:
- Addition of X/Y scaling in 1 direction so that now you have scaling in both directions simultaneously (as before and is the default) as well as just scaling in the X direction or the Y direction. I am hoping this satisfies the request for the ability to drag a set of points. There are 3 new button-ugly buttons in the Pivot Point section under "Scaling Mode" so we are looking for some good looking ones (if IgorB has time!).
- Fix the delete of custom preset problem - problem was due to 8 character limitation problem.
- Moved Center and Normal buttons to the Masks section as recommended by IgorB.
- Reworked mask auto classes - this was just cleanup mostly.
- Used Version C of some GUI layout changes to include removing bar line above Select and moving Focus over some.
- VIP, now when you enable only Boundary you can see the boundaries of all present masks at that point without having to put a gradient behind it to see.

A test Ubuntu 16 build is at:
https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz

Also in the GIT checkin, is an upgrade of ffmpeg to 4.1.4 from 4.1 previously.
PhyllisSmith

PhyllisSmith

2019-07-10 22:16

manager   ~0001896

“about dragging just a specific set of points" -- today gg is working on a way to scale in either just the X direction or just the Y direction to enlarge either horizontally or vertically - I think that will provide what is needed to easily change an Oval shape or make a Rectangle out of a Square.

IgorB: I like both A's the best. A bug fix for the delete custom preset is also being worked and may go in later today. The Solo button is just a convenience to prevent having to mouse over to the patchbay. I have to update the Mask documentation but it it still changing so much. I have provided gg a new layout with the Load-Save-Del buttons moved down amongst other changes but he does not like my layout. Unfortunately, there is no precedence or code already built to add the down arrow icon to Load-Save-Del buttons -- I thought that the one in the DeScratch plugin could be used but apparently not. And, IgorB, is your description of Sam's number 1 that same as his? to me it does not sound like it?
Sam

Sam

2019-07-10 22:10

administrator   ~0001895

--> About Mask window Layout.
I prefer B.

--> I would suggest to add the down arrow icon to Load-Save-Del buttons to indicate that they are pullDown menu and not simply buttons.
However, I see this somewhat differently, with many buttons the surface should not occupy with additional graphic elements which do not bring any added value. With the buttons "Save" and "Del" it's not a drop-down menu, but a popup window, I can move these windows, so the arrow-down icon is inappropriate in my humble opinion.

--> About 6 Linear/Smooth buttons.
Also here I prefer B. Simpler is better, if the user interface is already occupied with many buttons. By the way, great work with the buttons.

--> If Sam and Andrea agree with me, we could open a new ticket for
Go ahead, if it is useful for clarity.
Andrea_Paz

Andrea_Paz

2019-07-10 21:38

updater   ~0001894

If Sam and Andrea agree with me, we could open a new ticket<\i>
I agree.
IgorBeg

IgorBeg

2019-07-10 11:34

reporter   ~0001893

About “Del” button.
the names in Del pullDown list are truncated and it doesn’t delete any my custom preset.
Take a look the screencast, please.
>> cin20190708_MaskTool_Del_btn.ogv
https://streamable.com/0fuyr

About “Solo” button.
Phyllis wrote: “The way it works is that it will make a temporary copy of the EDL so that you can only see the track you choose (+ the tracks behind it will show the mask part).”
I thought it worked in following way: you can see the track you choose + the track (not the tracks) behind it.
At this point, I have no idea what it is for, and how/when you use it, if I can not isolate that track (+ the only track below it). I could use the “Play track” button on Patchbay (in the Track) to disable that track and its masks instead of “Solo” option.
Take a look the screencast, please. When “V3_Blue” track is chosen in “Masks on Track” section, and “Solo” option is checked, I should see the little green square (V2_Green track) on blue screen, I think. (Maybe it is not possible)
>> cin20190708_MaskTool_Solo.ogv
https://streamable.com/5anx0

About Mask window Layout.
I have done two photomontage to move the Presets under the Radio buttons without change the window size and not moving the others widgets.
>> MaskWindow-Layout_201900710-a.png
>> MaskWindow-Layout_201900710-b.png
Which one do you prefer, please? (A or B?)
Also, I would suggest to move the “Center” and “Normal” buttons in the new “Mask Preset” section (if you choose the Layout_201900710-b) below the three Load-Save-Del buttons, but You should increase the window’s height and move a lot of things, I think.
IMHO, also, I would suggest to add the down arrow icon to Load-Save-Del buttons to indicate that they are pullDown menu and not simply buttons.

About 6 Linear/Smooth buttons.
In my first version of the three Smooth buttons (option A in the picture added) you can see that them have two little Control Point joined by the blue line.
Another version for the Smooth buttons, only the Point_Smooth has it.
>> MaskTool_crvBtn-allBtn_A-B_version.png
Which one do you prefer, please? (A or B?)

About new/next features on Mask tool.
Phyllis wrote: “about dragging just a specific set of points, gg does not have an idea of how to implement this. If you still think this is needed in a couple of weeks, open a new BT for it.”
If Sam and Andrea agree with me, we could open a new ticket for:
1) To show all the masks’ boundary (in that Track), and the active mask is showed with boundary and markers (Points). So You can see all the masks and the behaviour that the Sharp/Smooth_All button has on them. And, in my hypothesis, you can use the Enable single buttons, in Mask section, to Show/Hide the boundary of the masks.
2) To be able selecting more nodes (points), in the Compositor’s canvas, so you can drag, contemporary, the selected nodes.
This would be useful when there will be the “Presets” and, for example, you want to enlarge, horizontally or vertically, the shape of the predefined Square. Then, selecting two nodes (points), you can do it. (I would prefer Shift+LMB for multiple nodes selection).

Cin version: “cinelerra-5.1-ub16-x86_64-static_20190708-testing”

PhyllisSmith

PhyllisSmith

2019-07-10 03:32

manager   ~0001891

IgorB: if you want to do the other themes for the buttons, take your time and we will use them when ready.
I am not absolutely sure that the Ubuntu16 build you have has all of the latest changes in it... but I thought it did so...
- you can not delete the preset shapes at all; they do not even show up when you click on Del
- I can not reproduce your steps and see that your custom preset has not been deleted
- GG likes it this way for now - "When you click on Del button, the field of the “Delete mask” shows always the mask’s number." - because that is your currently selected mask number and, of course, you can not delete that.
- GG confirms that this is the way it works -- “Solo” option: must it works also for “nested” (one inside the other) masks in different tracks?"

Sam:
"1. A possibility to display all masks (boundary) within a track at the same time."
What? how is this even possible to conceptualize? Maybe we misunderstand -- I think you mean, for example, you have a triangle mask that with autos/keyframes goes from frame 1 to frame 10, and then on frame 50 to 100 you have a circle mask with autos/keyframes. You want to be able to see in the compositor the triangle at the same time as the circle? but they do not even exist at the same time on the timeline and their position between frame 1 and frame 10 is not even in the same place so where would you show it to be? And there could be hundreds of them too.

"2. Moving multiple endpoints at the same time would also be very welcome, but I can understand that it is not such a high priority for you if it is difficult to implement."
I will ask about this again as maybe GG can come up with something if he thinks about it some more.
Sam

Sam

2019-07-09 15:40

administrator   ~0001888

I was on the road for a few days and couldn't participate in the discussions, but the progress on mask tool is breathtaking! Absolutely great work! Many thanks for accepting the many small improvement suggestions. The mask tool has become so good! Wow!

I noticed two things that are missing. I think Igor already mentioned it and I would like to agree with his opinion.

1. A possibility to display all masks (boundary) within a track at the same time. The reason for this is that you also have masks outside the field of view in the compositor and these masks are moved into the field of view at a later time. But I need the relation of this existing mask to a new mask. That's why this small addition would be important to create really great transition effects.

2. Moving multiple endpoints at the same time would also be very welcome, but I can understand that it is not such a high priority for you if it is difficult to implement.

These are the last points I would miss.
IgorBeg

IgorBeg

2019-07-09 11:50

reporter   ~0001887

GG (… and Phyllis), you have done a fantastic work!
I think that all users, like me, will be glad with all these features/improvements!
Thank you so much!

The Mask Copy&Paste solution among the Masks and among the Tracks is really so good; and we can save our custom masks (shapes)!

- Center and Normalize buttons. ...if you want these buttons to be put somewhere else!!
They are not exactly wrong in that place but, maybe, I would put them in Mask section. But GG would have to change/move the layout of the Mask window and so saying, after all these excellent features and hard work, that GG has done, I am afraid GG can erase all my PC’s Hard Disks by remote (maybe it is better I go offline by now). ;-)
- Sharp wording has been changed to Linear”.
I appreciate this. Thanks.

If you give me more time, I can do the 6 buttons for the other themes; except Neophyte and Cakewalk themes that Olaf will want to do, I think.

As usually my info about Mask tool window.
1. Del button, to delete the preset custom shape, does not delete the first one list name.
Steps:
a) create a shape (mask) by preset or not.
b) With Save button, save preset with a name.
c) With Del button choose the first one name and click on Ok.
d) Click on Load button to verify if that custom preset has been deleted (in my case not).

2. When you click on Del button, the field of the “Delete mask” shows always the mask’s number. Maybe it should show the first name of the list.

3. “Solo” option: must it works also for “nested” (one inside the other) masks in different tracks?
For example:
a) you have three video tracks (numbered from V3 to V1, respectively from top to bottom) with the clips inside: V3 track with a square mask, V2 track with a triangular mask, and V1 track with only the clip. The two masks are in the middle of the canvas.
b) In Mask tool window, “Masks on Track:” section, I select the V3 track and check “Solo” checkbox. I can see the V1 track through the Square and triangular mask in V2. Is it right? Or I should I only see the effect of the square mask? Can you confirm, or less, please?
Andrea_Paz

Andrea_Paz

2019-07-09 08:04

updater   ~0001886

My quick test are OK. Thank you very much.
PhyllisSmith

PhyllisSmith

2019-07-08 22:06

manager   ~0001883

Last edited: 2019-07-08 22:15

View 2 revisions

I think this issue is very close to being done with the latest GIT checkin to include:

- Icons for the 6 newer Smooth/Linear buttons as contributed by IgorB are now in for all themes (thank you!).
- Cloning and Preset Shapes are now available. You can Load, Save, or Delete Preset shapes such as a Circle, Oval, Square, or Triangle and Save/Load/Delete your own on any video track. The cloning responds to Undo.
- Center and Normalize buttons have been added to “center” a mask and “normalize” the size based on the scale of the video track. They also respond to Undo. PLEASE provide a picture of a different layout if you want these buttons to be put somewhere else!! Did not have a good idea.
- The Enable buttons can now be used to enable/disable particular masks so that they are not subject to any All or Gang functions. This is in effect for Feather, Fade, Smooth, Linear, Translate, Scale, and Rotate.
- Sharp wording has been changed to Linear (to be consistent with Keyframes nomenclature).

In response to IgorB's question, he said In Note 1625, "Neophyte's clear/reset button is still the old png" but I think it looks OK to me so maybe it got corrected and I missed reading that in the notes.

IgorB: about dragging just a specific set of points, gg does not have an idea of how to implement this. If you still think this is needed in a couple of weeks, open a new BT for it.

A new Ubuntu 16 build for testing is at:
https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz

PhyllisSmith

PhyllisSmith

2019-07-08 03:42

manager   ~0001879

IgorB: nice symbols! gg has already added them here locally. Your 3 request is probably very difficult, but GG will have to decide about that after he is done struggling with 1 and 2.
Andrea: thank you so much for determining where the other issues were logged in pipermail and different issue numbers as I do not want to close this and then lose the information.
IgorBeg

IgorBeg

2019-07-07 15:36

reporter   ~0001876

Thanks for yours reply Phyllis and Andrea.

Phyllis: “so I semi-skimmed ALL 115 NOTES !!”
Sorry for that.

Sharp vs Linear (or Corner)
I understand GG and I understand that Linear would be referred to a line, not a point (even if the effect is on the lines around the point), but I speak only by user point, and I spoke Linear as opposite to Smooth because in MainMenu-> Keyframes there are the items “Change to Linear” and “Change to Smooth”.
More, for the same feature, Inkscape software use the words: “Make selected nodes Corner”, and “Make selected nodes Smooth”. If you may consider to change the name and other users think like me, I think it would be better.

Phyllis: “The list:
1) cloning masks
2) set of masks to include oval, circle, square, and triangle (and these can be cloned)”

Is it possible insert in the list, and if technically possible…
3) To be able selecting more nodes (points), in the Compositor’s canvas, so you can drag, contemporary, the selected nodes.
This would be useful when there will be the “set of masks” (the name of the section might be “Template”? or “Predefined Shapes”? or “Default Shapes”? or only “Shapes”?) and, for example, you want to enlarge, horizontally or vertically, the shape of the predefined Square. Then, selecting two nodes (points), you can do it.
I would prefer Shift+LMB for multiple nodes selection.

Is there any user doing the six buttons for the new features (Sharp/Smooth Point-Mask-Masks)?
If not, I have just finished them for the SUV and Unflat themes. If you want to insert them in the next release to see if You (all) like, or less, them. Thanks.
I added a compressed file with the PNG files. And a animated GIF (photomontage to make them).

Phyllis: “...and still check on the neophyte clear button”.
I don’t understand what do you mean?

Cin-GG_themes_SUV-Unflat_MaskTool_LinearSmooth_btns.tar.gz (4,208 bytes)
Andrea_Paz

Andrea_Paz

2019-07-07 08:06

updater   ~0001871

- "In all cases the masks in the track should be visible with ENABLE and its active radio buttons; but this does not happen to me." ... I am not sure what you mean? However, gg got the idea that is you disable one of these and then gang, the disabled ones will not be ganged."
The problem with ENABLE no longer arises with new projects. I wonder where I got confused! I'm sorry.
- "Sam note 1587 - subpixel display 4k -- hoping this is in another BT ??"
IgorB and Sam's first request is:
https://lists.cinelerra-cv.org/pipermail/cinelerra/2018q4/010369.html
And then issue 0000002 note 1593. I think it's best to open a new ticket.
- "EXCEPT for Sam's note 1552 and 1578 (I think that they are the same) "limits the range/area used for the vectorscopes to make the exact color match"
  If this is not already in another BT, it should be written up as a request or added to Vectorscope as it is more about Vectorscope than mask. EXCEPT for Andrea's note 1554 "DaVinci tool works as you can see in the video, because it creates a matte on the alpha channel." But I think Andrea has already put this into another BT ??"
Sam and my requests have been made in this issue (#1258; #1552). I'll try to open a new ticket (0000260).
PhyllisSmith

PhyllisSmith

2019-07-07 01:56

manager   ~0001870

@IgorB
"1) Is there a reason for the Sharp name instead of Linear?" ... GG says this describes the endpoint not the line so that is why he is using Sharp to describe the point which can not be described as linear.
"2) With the Sharp/Smooth_Curve buttons I see that it changes" ... as confirmed by Andrea THIS IS A BUG and gg has a fix ready to go in later.
"3) With the Sharp/Smooth_All buttons I see" ... works as planned and if I interpret Andea's note correctly, he agrees.

"You will be tired of doing these builds for me" ... No, it is trivial to make these builds and they pay back many times over to discover bugs/improvements 100 times faster. This works very well for us in your testing masking along with Sam and Andrea. This includes such cases as Pierre testing the Shuttle on Mint builds.

@Andrea
"In all cases the masks in the track should be visible with ENABLE and its active radio buttons; but this does not happen to me." ... I am not sure what you mean? However, gg got the idea that is you disable one of these and then gang, the disabled ones will not be ganged. Enable is kind of like arm and disarm. Anyway, he has implemented it to work as I described for the next checkin.

"Could you write a list of things you still want to implement, please?" ... so I semi-skimmed ALL 115 NOTES !! and here is the list:
  1) cloning masks
  2) set of masks to include oval, circle, square, and triangle (and these can be cloned)
 GG is working on these 2 right now.

EXCEPT for Sam's note 1552 and 1578 (I think that they are the same)
   "limits the range/area used for the vectorscopes to make the exact color match"
  If this is not already in another BT, it should be written up as a request or added to Vectorscope as it is more about Vectorscope than mask.

EXCEPT for Andrea's note 1554 "DaVinci tool works as you can see in the video, because it creates a matte on the alpha channel." But I think Andrea has already put this into another BT ??

Sam note 1587 - subpixel display 4k -- hoping this is in another BT ??

Yet for me to do is to update the Mask document as IgorB wrote out for me and still check on the neophyte clear button.
And yet for GG to do is to apply some of these same features to Perspective, Tracer, Sketcher, Crikey...

....and then we can CLOSE THIS ISSUE ??
Andrea_Paz

Andrea_Paz

2019-07-06 14:50

updater   ~0001866

I think that:
a) Smooth_point should smooth the only selected point of a mask. You can make smooth all the points that we want to proceed one after the other, also passing from one mask to another.[OK]
b) Smooth_curve should smooth the entire mask but not the others eventually present in the track. [NO]
c) Smooth_all should make all masks in the track smooth. [OK]

d) Sharp_point should sharpen only the single point of the active mask [OK]
e) Sharp_curve should sharpen the entire mask regardless of the active point, but should not affect any other masks [NO]
f) Sharp_all should make sharp all points of all masks present in the track. [OK]

In all cases the masks in the track should be visible with ENABLE and its active radio buttons; but this does not happen to me.

In short, it seems that the problem are only b) and e): if I understand correctly, that's what IgorB said.
IgorBeg

IgorBeg

2019-07-06 10:42

reporter   ~0001863

You will be tired of doing these builds for me, I think. ;-)
Wow! 80+widgets in Mask tool! A lot of stuff, guys!
Could you write a list of things you still want to implement, please?
The Mask tool is now really powerful and if we know how many features will be added for the goal, You (all) and me may to discuss also the GUI/Layout.

Now the three pairs (Sharp / Smooth) of buttons are for: Point, Curve, Masks.

Some questions/doubts:
1) In the hint I read “Sharp”. Is there a reasons for the Sharp name instead of Linear?

2) With the Sharp/Smooth_Curve buttons I see that it changes the type of points (Linear or Smooth) from ID_point=1 to selected point.
For example, I have a mask with 6 points (from 0 to 5), and the selected point is ID_point=3. When I press the Smooth_Curve button the points from ID=1 to ID=3 are converted to smooth.
Is it right? I don’t understand why?

3) With the Sharp/Smooth_All buttons I see that it changes all the type of points, of all masks in that Track.
So, for example, if there are 3 masks, pressing the Smooth_All, all the points of the active mask, and the other two mask, are changed to smooth.

For the 2) and 3) I don’t know if these are the behaviour you want.

I think that the 2) should change all the points of the active mask.
For the 3) changing all the type of points (to Sharp or to Smooth) of all the masks, active and not, should be avoided, I think: you don’t see all them in the same time.
Different it would be if, all the masks’ boundary were showed (in that Track), and the active mask is showed with boundary and markers (Points). So I can see all the masks and the behaviour that the Sharp/Smooth_All button has on them. And, in my hypothesis, you can use the Enable single buttons, in Mask section, to Show/Hide the boundary of the masks.
I added a photomontage where you can see three masks, and the ID_mask=2 is actived.
I hope I was clear.

PhyllisSmith

PhyllisSmith

2019-07-05 21:06

manager   ~0001861

IgorB - thanks for reading the document (it will eventually get into the Latex part of the manual as Andrea has converted). I will get your suggested changes included ALONG with more changes that GG made today.

Now the smooth is in the Mask Points section as suggested and is 6 button-ugly buttons for Smooth and Sharp for each of Point, Mask, or All. A new Ubuntu16 build is ready at:

 https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz

He is trying to decide how to implement the Shapes and Cloning feature -- he has to figure where and how to do this. The GUI has 80+widgets in it already!
IgorBeg

IgorBeg

2019-07-05 19:29

reporter   ~0001859

Waiting for Others…

Thanks Andrea_paz for your confirm!
About "Shift+Key Delete", you are right; it doesn’t work, it is a “misprint”, I think.
In the old Cin versions there was an only one Delete button to delete a point. So, to delete a mask, you had to press and hold down the Shift key on the keyboard and click on Delete button on the Mask window.
If Others confirm, it could be canceled, I think.
Andrea_Paz

Andrea_Paz

2019-07-05 18:35

updater   ~0001858

I confirm that on my Arch Linux the key combinations behave as you described. Also the Alt+Ctrl+LMB keys to drag the mask and also the case_1 and _2. The only thing that doesn't work is "Shift+Key Delete" (that I probably didn't understand how to use it).
IgorBeg

IgorBeg

2019-07-05 16:19

reporter   ~0001857

To be clearer, I write here how keys+Mouse work in the Compositor with the Mask tool in “my” UbuntuStudio16.04.
If You can confirm or less, in yours OS, please.

LMB: move/create an end point (to move the end point the pointer must be above the point)
Shift+LMB: move an end point (the pointer may be near the point, not above it)
Ctrl+LMB: move/create a control point
Alt+Ctrl+LMB: to drag translate the mask
Shift+Key Delete: to delete the mask
Shift+MMB: Set Pivot Point at pointer

Case_1: Focus checkbox = unchecked
Wheel: rotate around Pivot Point (“Center of mass”)
Shift+Wheel: scale around Pivot Point (“Center of mass”)
Ctrl+Wheel: rotate around pointer
Ctrl+Shift+Wheel: scale around pointer

Case_2: Focus checkbox = checked
Wheel: rotate around Pivot Point (“Custom focus point”)
Shift+Wheel: scale around Pivot Point (“Custom focus point”)
>Ctrl+Wheel: rotate around Pivot Point (“Custom focus point”)
>Ctrl+Shift+Wheel: scale around Pivot Point (“Custom focus point”)
>>Alt+Ctrl+Wheel: rotate around Pivot Point (“Custom focus point”)
>>Alt+Ctrl+Shift+Wheel: scale around Pivot Point (“Custom focus point”)

Therefore, in order to be able to rotate/scale around pointer, the Focus checkbox must be unchecked.
Can You confirm, please?

(Cin20190705 release)
Sam

Sam

2019-07-05 15:17

administrator   ~0001856

I agree with Igor. It makes more sense to put the Smooth and Gang button in the mask section.
IgorBeg

IgorBeg

2019-07-05 11:56

reporter   ~0001855

Mmpfh!
About point 3 (Mask_changes.pdf), I don't understand. I tested again just now and ...
you can delete the two lines in red color. Thanks!

At least Ubuntu16 has some different key combinations to use for various operations due to the
operating system already fielding the Alt Key. Here are some alternative combinations:
Alt+Ctrl+LMB: to drag translate the mask
<font color="red">Alt+Ctrl+Wheel: rotate around pointer</font>
<font color="red">Alt+Ctrl+Shift+Wheel: scale around pointer</font>
Alt+Wheel= zoom in/out the screen (also available in Ubuntu16 but does not exist in all distros)
IgorBeg

IgorBeg

2019-07-05 11:46

reporter   ~0001854

1) Smooth feature. Really good.
But Smooth and Gang buttons should be put in Mask Points section not in Pivot Point section.
Would it be possible also to have the inverse function, from Smooth to Linear, please?

2) Help section, last row. I think for space problem you wrote only a information:
“Ctrl+Wheel: rotate/scale around pointer”
If you can not write
- “Ctrl+Wheel= rotate around pointer”
- “Ctrl+Shift+Wheel= scale around pointer”
in two rows for space problem I would suggest “Ctrl+[Shift]+Wheel: rotate/[scale] around pointer”, or something similar.

3) Mask_changes.pdf at the end of the manual, there are some mistake, I think.
Shift+LMB: move an end point
Ctrl+LMB: move a control point
Alt+LMB: to drag translate the mask
Shift+Key Delete: to delete the point
Shift+MMB: Set Pivot Point at pointer
Wheel: rotate around Pivot Point
Ctrl+Shift+Wheel: scale around Pivot Point
Ctrl+Wheel: rotate/scale around pointer
At least Ubuntu16 has some different key combinations to use for various operations due to the
operating system already fielding the Alt Key. Here are some alternative combinations:
Alt+Ctrl+LMB: to drag translate the mask
Ctrl+Wheel: rotate around Pivot Point
Alt+Ctrl+Shift+Wheel: scale around Pivot Point
Alt+Ctrl+Wheel: rotate/scale around pointer
Alt+Wheel= zoom in/out the screen (also available in Ubuntu16 but does not exist in all distros)

I think it should be...
Shift+LMB: move an end point
Ctrl+LMB: move a control point
Alt+LMB: to drag translate the mask
Shift+Key Delete: to delete the point
Shift+MMB: Set Pivot Point at pointer
Wheel: rotate around Pivot Point
Shift+Wheel: scale around Pivot Point
Ctrl+Wheel: rotate around pointer
Ctrl+Shift+Wheel: scale around pointer
At least Ubuntu16 has some different key combinations to use for various operations due to the
operating system already fielding the Alt Key. Here are some alternative combinations:
Alt+Ctrl+LMB: to drag translate the mask
Alt+Ctrl+Wheel: rotate around pointer
Alt+Ctrl+Shift+Wheel: scale around pointer
Alt+Wheel= zoom in/out the screen (also available in Ubuntu16 but does not exist in all distros)
Sam

Sam

2019-07-05 10:02

administrator   ~0001852

"Smooth button has been added"

Awesome! I like it. +1
PhyllisSmith

PhyllisSmith

2019-07-05 04:00

manager   ~0001851

Smooth button has been added -- The Smooth button uses an algorithm based on the previous point and the next point to create a curved line. The smoothing operation takes three points, A, B, C, and arranges the slope at B to be AC as it moves to the next point for that mask. Ganging can be used to perform the operation on all of the masks for that track.
PhyllisSmith

PhyllisSmith

2019-07-02 00:33

manager   ~0001842

Sam: the latest GIT checkin allows for creating a new keyframe when rotating or scaling the mask. This was an oversight - actually it was that gg was unaware that the wheel does not create the same kind of button up/down events.
Sam

Sam

2019-07-01 01:17

administrator   ~0001839

I noticed a little glitch. Changing the size of the mask and rotating a mask does not create a new keyframe. Only moving a mask creates a new keyframe. Changing the size or rotation of the mask should also create a new keyframe.

https://streamable.com/j3p9b
PhyllisSmith

PhyllisSmith

2019-07-01 00:31

manager   ~0001838

Sam - I do not consider the mask tool done. We just do not yet have an idea of how to create a "library" of mask templates, such as circle, oval, rectangle, square ... and how to go about cloning a mask. I also have to re-read all of the notes to see what else might have gotten missed.
Sam

Sam

2019-06-30 23:51

administrator   ~0001837

I finally had time today to take a closer look at the mask tool. It's awesome and you can do great things with it. But one thing I noticed compared to the other NLE's what I really miss.

How can I copy a mask? For example I want to copy mask 1 from video track 1 to video track 2 as mask 2? How does that work? Or I want to duplicate a mask on the same video track, for example, duplicate mask 1 as mask 3. How can this be done without having to create the mask again and again?

For example, it took me a very long time to create a mask in the shape of a circle (by the way, it's very difficult to create a real circle mask, if you had a template for it, it would be a great relief). I need this circle mask for my effect but also on the second track and I want the same mask copied as Mask2 and Mask3 etc.

I'm sorry that I might bother you with this question, you surely already considered the mask tool as done.

Is there a possibility I might have overlooked?
PhyllisSmith

PhyllisSmith

2019-06-30 16:44

manager   ~0001829

BTW: a really good reason to have the Markers checkbox is so that you can better see the mask once you have added a lot of Control points (which can get cluttered looking).
IgorBeg

IgorBeg

2019-06-30 12:08

reporter   ~0001828

Like Sam said it is all great!

- The tracks name with yellow colour, in pulldown menu , if there is a mask is great! Thanks!
- The Gang symbol by the Focus box and its feature is very good and really useful!
- Acceleration wheel on rotate is really good.

In the last row of the Help I find “Ctrl Wheel: rotate/scale around pointer”.
In my OS it works as below:
- Ctrl+Wheel= rotate around pointer
- Ctrl+Shift+Wheel= scale around pointer
And I have to use Alt+Ctrl+LMB to drag translate the mask instead of Alt+LMB but it is usually right in my UbutuStudio16.04 system, I think.
It works fine. Thanks!
Sam

Sam

2019-06-29 21:54

administrator   ~0001824

Sam: "Adjusting the rotation with the mouse wheel is a great thing, but very slow." -- gg added acceleration to the wheel for rotate. If you move the wheel fast, it rotates faster; if you move slow, you can fine-tune. It works on his computer but I have not tested well.

it works great. Thank you

Also, there is a new feature, the Gang symbol by the Focus box. When enabled it will rotate/scale/translate all masks on the video track together.
I like it

IgorB: the GIT checkin changed the Help wording; the mask and all of the other compositor tools keep their placement now; and the tracks with masks on them are now highlighted in yellow to denote that.
great

That you can hide the help text is a fantastic thing! The mask tool looks so tidy and modern! Great work!
PhyllisSmith

PhyllisSmith

2019-06-29 20:38

manager   ~0001823

Sam: "Adjusting the rotation with the mouse wheel is a great thing, but very slow." -- gg added acceleration to the wheel for rotate. If you move the wheel fast, it rotates faster; if you move slow, you can fine-tune. It works on his computer but I have not tested well.

Also, there is a new feature, the Gang symbol by the Focus box. When enabled it will rotate/scale/translate all masks on the video track together.

IgorB: the GIT checkin changed the Help wording; the mask and all of the other compositor tools keep their placement now; and the tracks with masks on them are now highlighted in yellow to denote that. There is a new build but unless there is a major problem, any more changes will have to wait until after tomorrow's build that we start early in our morning. Also, gg tested out the Ubuntu Help keys as you noted -- he is out of keys so we hope documenting these in the manual is good enough. Oh, and "- Alt+Wheel= zoom in/out the screen" does not work on all distros (for example, does not work on Fedora) so he left this out.

    https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz
IgorBeg

IgorBeg

2019-06-29 10:17

reporter   ~0001820

"What do you think if Solo option uses a background colour (or a gradient?) instead of the tracks behind it?”
Phyllis: gg thinks the current way is more useful but if more users find the gradient idea more useful, he might reconsider.
I agree with GG but I thought it were useful for question’s Olaf: to see better the masks. Time ago I have done a Shared Track screencast (that Andrea_paz has inserted in the forum) to show to Olaf my workaround about. And then with the gradient, or a full color background, you can avoid to use my stupid workaround, and it would use only a track, I think.
I don’t know what Olaf think about it.

“... Marker and Boundary options. I think that them could be deleted because... “
Phyllis: Yes, gg uses this feature and does not want to delete it. I hope that is OK.
Sam: I also use this feature and I would find it a pity if it disappears.
Okay, no problem, thanks.

I wrote in 1763: I don’t know how many people use the mouse pointer position as center for rotate/scale.
I think that the two option, “Center of Mark” and “Focus” (Custom Center) could be enough and You have the full control of them. And If You think that You and users may not use mouse pointer then for the good Sam’s suggestion about Rotate/Scale with bigger steps you have more key available.
To complete the key in “my” OS-UbuntuStudio-16.04:
- Alt+Ctrl= to drag translate the mask (move the mask)
- Wheel= rotate around Pivot Point
- Shift+Wheel= scale around Pivot Point (Center of mark / Focus)
- Ctrl+Wheel= scale around Pivot Point (Center of mark / Focus)
- Ctrl+Shift+Wheel= scale around Pivot Point (Center of mark / Focus)
- Alt+Shift+Wheel= scale around pointer
- Alt+Ctrl+Wheel= rotate around pointer
- Alt+Ctrl+Shift+Wheel= scale around pointer
- Alt+Wheel= zoom in/out the screen
Sam

Sam

2019-06-29 00:08

administrator   ~0001817

@PhyllisSmith
Adjusting the rotation with the mouse wheel is a great thing, but very slow. It takes me a few seconds to get a 180 degree rotation and I have to turn the mouse wheel a few dozen times to get the desired position. With some dozens of masks this process is extremely tedious. My suggestion to speed up this process would be:
By pressing the CTRL (or maybe ALT) key and then rotating the mouse wheel the rotation steps are much bigger. This gives me an approximate and very fast rotation adjustment possibility and without the CTRL key, i.e. by using the mouse wheel alone a fine rotation setting.
Sam

Sam

2019-06-28 23:42

administrator   ~0001816

"In “Mask Points” section there are “Marker” and “Boundary” options. I think that them could be deleted because only the active mask can shows the markers and the boundary and I have to see the markers if I want to change the mask’s points. I don’t know as you use that feature." -- Yes, gg uses this feature and does not want to delete it. I hope that is OK.
I also use this feature and I would find it a pity if it disappears.

"1) In Track pulldown menu, would be possible to change the colour of the track name in the list" -- good idea! he will implement that today yet if at all possible.
+1
PhyllisSmith

PhyllisSmith

2019-06-28 23:26

manager   ~0001815

More good suggestions. BTW -- BIG THANK YOU for any testing -- without this, gg could not get these changes in.

IgorB - "even the “Show masks” does not help to solve the Olaf’s question" -- I have yet to prove this one way or another, but you may be right. I am testing on a slower laptop to see if I can tell for sure.

"I would rename the button from Enable to Show, and the hint from “Show mask” to “Show/Hide mask”" -- gg renamed the hint yesterday as you said but he wants to leave Enable on the button itself because that is most meaningful to him.

"What do you think if Solo option uses a background colour (or a gradient?) instead of the tracks behind it?" -- gg thinks the current way is more useful but if more users find the gradient idea more useful, he might reconsider.

"In “Mask Points” section there are “Marker” and “Boundary” options. I think that them could be deleted because only the active mask can shows the markers and the boundary and I have to see the markers if I want to change the mask’s points. I don’t know as you use that feature." -- Yes, gg uses this feature and does not want to delete it. I hope that is OK.

"1) In Track pulldown menu, would be possible to change the colour of the track name in the list" -- good idea! he will implement that today yet if at all possible.
"2)" ok will modify
"3)" hmmmm, I will have to look into this some more.
"4)" confirmed, he thought this was working correctly because he uses 2 monitors and it always came up in the 2nd monitor for him. I have demonstrated it is not working so now he will look at it and try to fix.
IgorBeg

IgorBeg

2019-06-28 20:08

reporter   ~0001810

The new Help feature is FANTASTIC for me! The Help checkbox that extend the window: WOW! Great GG!

My previous 0001806 1) and 2) points are fixed. Thanks!

If I can add:
1) In Track pulldown menu, would be possible to change the colour of the track name in the list, if there is at least a mask in it, like you have done with the ID-mask (with the good color yellow)?
So, by the list of the pulldown menu you can see, if the colour of the track name is yellow, that there is a mask there. It would be really useful I think, like the ID-mask yellow colour.

2) In Help text I would change:
- “Wheel: rotate around Pivot Point” instead of “Wheel Up/Dn: rotate around focal point”
- “Shift+Wheel: scale around Pivot Point” instead of “Shift+Wheel Up/Dn: scale around focal point”.
When you write Wheel it means that you rotate the mouse’s wheel and then Up/Dn is more, I think. And writing “Pivot Point” instead of “focal point” the user understand, I hope, that the info is in the Pivot Point section, with Center of Mark (“Center of Mass”) or with Custom Focus (Focus option enabled). This is only my personal opinion, of course.

3) Alt/Shift+Wheel.
In “my” OS-UbuntuStudio-16.04:
- Alt+Shift+Wheel= scale around pointer
- Alt+Ctrl+Wheel= rotate around pointer
- Alt+Wheel= zoom in/out the screen
- Shift+Wheel=scale around Pivot Point (Center of mark / Focus)

4) Mask window not remember its position. When you open the Mask tool the window is always opened in the right-bottom of the screen. Would it be possible to remember the last position on the screen?

Thanks!
PhyllisSmith

PhyllisSmith

2019-06-28 16:46

manager   ~0001809

IgorB: if you have time, please retest.
https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz
IgorBeg

IgorBeg

2019-06-28 11:06

reporter   ~0001806

1) Center of Mark XY coordinate is Okay but now the mask is rotated/scaled on the mouse pointer, not on Center of Mark.
Look at the screencast, please.
>>> link to MaskTool-PivotPoint.ogv
https://streamable.com/uh0hu

2) The mask number (of yellow color when a mask is there) is not anymore in sync if you change the track in Track pulldown menu.
Look at the screencast, please.
In the screncast you can see that “V1a” track has a mask (an egg shape) in ID-mask=0 and “ColorGrading” track has a mask in ID-mask=1.
>>> link to MaskTool_maskNumber.ogv
https://streamable.com/3gtpe

Thanks.
PhyllisSmith

PhyllisSmith

2019-06-28 04:04

manager   ~0001802

Some changes were made and checked into GIT but I will have to respond to some items later (tomorrow, I think).
- Center of mark XY coordinates shown when Focus is not checked.
- Bug Sam found fixed.
- Clear masks when bring up a session and nothing is loaded was not working to clear a just created mask - now fixed.
- Tooltip for Enable is now Show/Hide mask.
IgorBeg

IgorBeg

2019-06-27 11:41

reporter   ~0001798

Mmh, fast request, sorry.

About "Pivot Point" section.
Would it be possible to show the XY coordinate of the "Center of mark" of the active mask instead of Focus' coordinate when Focus checkbox is disabled?
Of course, if you enabled Focus checkbox then the Focus' coordinate are showed in the XY coordinate fields.
Thanks!
IgorBeg

IgorBeg

2019-06-27 11:24

reporter   ~0001797

Focus point is very good, thanks.

Phyllis: Any features that are not understood can just be ignored.
You can not use a software, and its tools, without to know some features and Mask is the main. I think that a software have to help the users more possible. How? It have to be intuitive. More intuitive it is and users will ask less information to you, I think.

About “Show Mask”.
I would rename the button from Enable to Show, and the hint from “Show mask” to “Show/Hide mask” because “Enable” don’t say nothing.
I have done different tests on my poor Notebook and I don’t see any difference to cpu consumes with or without “ShowMask” (of course I am using Proxy as usually).
About my doubt on the use of that feature, consider a possible scenario, please:
- I have 5 video tracks and 4 tracks have some masks.
- In 2 tracks you have ShowMask= disabled, temporarily; and you close the Mask window to do other, to check you editing or add an effect.
- Now, you will never see the ShowMask= disabled if you do not open the Mask window and choose the right video track.

It would be different if you could to disable the mask (all the masks) on the track with a button in the Patchbay like you can do with “Play track”.

About “Solo”.
What do you think if Solo option uses a background colour (or a gradient?) instead of the tracks behind it?

In “Mask Points” section there are “Marker” and “Boundary” options. I think that them could be deleted because only the active mask can shows the markers and the boundary and I have to see the markers if I want to change the mask’s points. I don’t know as you use that feature.
Perhaps, showing only the boundary (no the markers) for the others masks would it be useful?
So, the user may understand which mask is active on the Compositor’s canvas because the markers are only in the active mask. More, you can see the number of the masks (or the name) on the Compositor.

Others things but it is late, sorry.
Thanks!
Sam

Sam

2019-06-27 01:22

administrator   ~0001796

I discovered a tiny little glitch in the mask tool. Please watch the video.
https://streamable.com/3xwwd
There you can see as soon as I select the locked track that I can select the mask and then the track selection jumps to the unlocked track. But the video track one in my example behaves like the locked track. Only if I select the video track one again in the selection it behaves correctly again.

The other changes work well.
PhyllisSmith

PhyllisSmith

2019-06-27 01:11

manager   ~0001795

Update to the code reflecting what was stated in the last note. A new Ubuntu 16 test version is in the usual place.
- bug fix, changed Focus point as IgorB suggested, pivot point moved to the middle initially
PhyllisSmith

PhyllisSmith

2019-06-26 15:44

manager   ~0001794

IgorB: "I think that Mask tool is becoming too complicated" -- this is exactly what gg said yesterday! but I had to correct him. The additional options are worthwhile AND you can still just use the mask as originally pretty much with the exception of Subtract/Multiply Alpha button which never made any sense to me. Any features that are not understood can just be ignored.

You will appreciate the "Show Mask" when you get to know it. When you Disable all of the masks (by clicking on the Enable button) no masks will be shown/drawn while playing -- this was what could potentially slow down your play. It is hard for me to prove this as my newer laptop works quite well. But you have to also uncheck Markers.

But really what the "Show Mask" is best at AND was part of issue 0000002 request, is that you have 5 masks on a single track and some overlap each other. Now you Play the video and you can not quite see if your mask is in the right place because one of the other masks is blocking it partially. You can turn off that mask temporarily to see what the first mask is really doing. I hope that makes sense.

We have found 1 bug of it not selecting the first track on a project load with the workaround until fixed of reselecting that track again. He will also implement the recommendations on the Focus point and hopefully change the initial position of the Pivot point.
Sam

Sam

2019-06-26 10:47

administrator   ~0001792

A big compliment from my side. The changes are very well done.

a) Focus checkbox is disabled.
b) In Compositor’s canvas you use Shift+MMB one time and the Focus is showed (and Focus checkbox is enabled, of course).
c) Again, in Compositor’s canvas you use Shift+MMB and the Focus is moved where the mouse pointer is.
d) Repeat from “c” point how many times you needed.
e) To change from Focus to Center Mark (“Center of mass”) you have uncheck the Focus checkbox.

I agree with you here! Your suggestion would make more sense. +1

I don't deny that the mask tool is complicated, but other mask tools are much more complicated. Cinelerra has the ambition to be for more advanced users, so it's unavoidable to have some more settings.

I can't agree that the previous method was simpler. On the contrary, in the previous version I had to switch constantly in the main window to activate the right track. Now I just click on the track in the mask window. I can do everything from one window and don't have to search for my required setting across multiple windows. The handling was simplified by this extension. Why one more field makes things more complicated is not quite clear to me. By the way, the solo function is ingenious!


- Unfortunately, even the “Show masks” does not help to solve the Olaf’s question and, for me, it is useless and creates more confusion for users. When you use Mask tool you need to see the masks. Perhaps, would it be more useful to see also the boundary of the masks (not the Markers) of the masks disabled?

I don't quite understand this point. Maybe you can explain it in more detail.

In my opinion, one thing could be done even better. I wouldn't put the pivot point (default) in the upper left corner. There you can easily overlook this point. I would put the pivot point in the middle of the mask.
IgorBeg

IgorBeg

2019-06-26 09:59

reporter   ~0001790

Thanks for the new build!

The size of the Center mark is good for me; and also the Center of rotation/scale work fine (no more mouse pointer is the center of the rotation).

About “Pivot point” (center for rotate/scale).
I think it would be better that when Shift+MMB is used, never disable the Focus checkbox, but always move/change the Focus point, because when you want to use Focus pivot point you needed to try a few of times the place, I think. So you save a lot of Shift+MMB and, if you want to enable/disable the Focus, you can use the checkbox.
To summarize:
a) Focus checkbox is disabled.
b) In Compositor’s canvas you use Shift+MMB one time and the Focus is showed (and Focus checkbox is enabled, of course).
c) Again, in Compositor’s canvas you use Shift+MMB and the Focus is moved where the mouse pointer is.
d) Repeat from “c” point how many times you needed.
e) To change from Focus to Center Mark (“Center of mass”) you have uncheck the Focus checkbox.

In the Pivot Point you can see the XY coordinate of the Focus, but not the XY coordinate of the Center Mark. I ask to you (all), might be useful to know them?
(And I see that the Focus is only one and not for every mask, like I thought)

IMHO, I think that Mask tool is becoming too complicated.
- The new Track pulldown option, where you can choose the track does not help the user to understand how Cinelerra work and could create confusion; and the Solo option adds another complexity. On the first (when discussed with Sam, here) I thought it was a good function but, after some tests, I think that it was better before. Sorry.
- Unfortunately, even the “Show masks” does not help to solve the Olaf’s question and, for me, it is useless and creates more confusion for users. When you use Mask tool you need to see the masks. Perhaps, would it be more useful to see also the boundary of the masks (not the Markers) of the masks disabled?

As always, they are only my considerations.
PhyllisSmith

PhyllisSmith

2019-06-26 01:38

manager   ~0001788

More masks improvements and changes per some of your suggestions have been checked in. I will try to list them but am working on a short document too. There is an ubuntu16 test build at:
   https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz

Sam's suggestion on pulldown for track choice added. Solo added with this and is what you will need. The way it works is that it will make a temporary copy of the EDL so that you can only see the track you choose (+ the tracks behind it will show the mask part). In addition you can Enable all or none so that you can look at one mask without the interference of the other masks.

IgorB's suggestion for indicating that a track was disarmed led to no options so it got implemented the way it did instead. The separate box for Center Point was eliminated -- if you do not want to see it, you can always just turn off the Markers instead. Default location of focus is as suggested (at least I think it is). Also, the size of the Center mark is now bigger so that when you use a smaller screen size, it is more visible. To me it looks like a pretty good size.

Testing has been minimal so do not be surprised if something is missed or wrong. I will test more as I document it and if IgorB makes a demo for us, Andrea can add it to the forum !!
IgorBeg

IgorBeg

2019-06-23 12:53

reporter   ~0001768

I like Sam's suggestion. +1

But, instead of
If a track is locked, this track will be grayed out or red in the selection and I can't edit it,
I would suggest that the tracks locked are not showed in the "Masks on Track" pulldown menu list.
Sam

Sam

2019-06-23 11:35

administrator  

Mask_improve_02.png (58,277 bytes)
Mask_improve_02.png (58,277 bytes)
Sam

Sam

2019-06-23 11:35

administrator   ~0001766

One thing that keeps bugging me is blocking the tracks. If I have three video tracks and want to edit the last track, i.e. insert a mask there or edit an existing mask, I have to lock the two upper tracks. Although I have my working focus on the third track, the mask is still inserted or edited in the top track because I have not locked it.

My suggestion would be that I can directly select the track I want to edit in the mask window, so I don't have to lock and unlock the tracks. I have inserted a photomontage.
With this improvement I can achieve the following.
- I can select the track I need to edit directly from the mask tool.
- I don't have to lock tracks and can continue with other tasks directly after mask editing without having to unlock anything beforehand.
- If a track is locked, this track will be grayed out or red in the selection and I can't edit it.

Mask_improve_01.png (55,210 bytes)
Mask_improve_01.png (55,210 bytes)
Sam

Sam

2019-06-23 11:07

administrator   ~0001765

- What do you think if, when the Mask window is opened, the Focus is always coincident (in the same point) of the Center Mark (in Blender in the 3D space it is named “Center of mass”) of the active mask?
I like it +1
- And, what do you think if, when the Focus checkbox is unchecked, the Pivot point (also for scale) is always the Center Mark?
It sounds good to me.
If it were so (*), then Shift+MMB (to toggle focus center at pointer) might always set a new place of the focus instead of unchecked (hide Focus) and then checked (show Focus) the Focus’ checkbox, I think. I don’t know how many people use the mouse pointer position as center for rotate/scale.
Then, for rotate and scale, only two center point there would be:
a) Center mark (when Focus checkbox is unchecked)
b) Focus point (when Focus checkbox is checked)

If as mentioned above it would happen, it would be nice to have in Mask window the Rotate parameter referred to only the Center mark (no Focus point) in Pivot point section, I think:
- When you create a mask the Rotate value is 0.00 (and keyframeable); I like it
- If you rotate the mask the value is recorded (and keyfreameable); +1
- Every mask has its own Rotate variable;
- If you scale the mask the rotate value is not changed;
- If you add/change a point/controlPoint the rotate value is not changed.
Sam

Sam

2019-06-23 10:56

administrator   ~0001764

First of all a big praise to all who made suggestions and gave the mask tool a new shine. The mask tool is an eye-catcher. It looks modern and tidy. If we could adopt these minimal design changes step by step to other plugins, Cinelerra would develop in the right direction. A very big compliment to GG for adopting the new design ideas, even though it's anything but his favorite passion, he was able to overcome his dislike for such activities and was able to adopt the suggestions. Thank you!
IgorBeg

IgorBeg

2019-06-23 10:43

reporter   ~0001763

Really Great! Thank you so much!

About “Pivot point” (center for rotate/scale).
- What do you think if, when the Mask window is opened, the Focus is always coincident (in the same point) of the Center Mark (in Blender in the 3D space it is named “Center of mass”) of the active mask?
- And, what do you think if, when the Focus checkbox is unchecked, the Pivot point (also for scale) is always the Center Mark?
If it were so (*), then Shift+MMB (to toggle focus center at pointer) might always set a new place of the focus instead of unchecked (hide Focus) and then checked (show Focus) the Focus’ checkbox, I think. I don’t know how many people use the mouse pointer position as center for rotate/scale.
Then, for rotate and scale, only two center point there would be:
a) Center mark (when Focus checkbox is unchecked)
b) Focus point (when Focus checkbox is checked)

If as mentioned above it would happen, it would be nice to have in Mask window the Rotate parameter referred to only the Center mark (no Focus point) in Pivot point section, I think:
- When you create a mask the Rotate value is 0.00 (and keyframeable);
- If you rotate the mask the value is recorded (and keyfreameable);
- Every mask has its own Rotate variable;
- If you scale the mask the rotate value is not changed;
- If you add/change a point/controlPoint the rotate value is not changed.

Mask points (the circle) are always showed very well at any resize window, smaller or larger; the Center of mark and the Focus are well showed when in my full screen 1280x800 but when resize to about 540x400 they are very small.


(*)
Thanks Phyllis for the English lesson, and I hope it is right. =)
PhyllisSmith

PhyllisSmith

2019-06-23 02:47

manager   ~0001759

The Masks have had several changes implemented plus additional features to include:
    - track name is displayed at the top of the mask menu (as shown by IgorB)
    - gui layout modified to include separated title bars to easily find what to change (based on IgorB Mask...d.png)
    - the focal point for rotation icon has changed from the X to a dot/spot icon provided by Sam (blue changed to black)
    - a center mark + has been added to show the center point of the mask (Andrea previous suggestion)

An ubuntu16 version is at:
https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz

Adding to the requests, a way to disable/enable all masks so that you can disable them temporarily in order to save compute time.
IgorBeg

IgorBeg

2019-06-07 11:53

reporter   ~0001683

Like you (Phyllis: “...for the name it does not make much sense”), mask’s name should not to be keyframeable , I think. Maybe for the other users it is needed, I don’t know.

About improving the layout, I think it is very hard to add the frames for the properties/sections in Cinelerra. I have to say that it has been improved a lot compared to before; the layout is very good. Thank you for the effort.
PhyllisSmith

PhyllisSmith

2019-06-07 00:49

manager   ~0001678

IgorB: " Mask's name is keyframeable: is it what you wanted?" I asked about this, and yes, it is keyframeable and a good reason is because you may want one name in part of the video and another further down.

I have saved the photomontages so that GG can work on improving the layout and adding the Track name at the top.
IgorBeg

IgorBeg

2019-06-02 08:36

reporter   ~0001636

Thanks Sam!

And here I added another quick photomontage with the frames. (the width of the window should be increased a little)
I think It is better than the previous suggestion but I don't know if it is possible to implement in Cinelerra.

Sam

Sam

2019-06-01 13:10

administrator   ~0001628

@IgorBeg
I find it absolutely important to name the operating elements or the sections. Your photomontage is great. I support this suggestion!
IgorBeg

IgorBeg

2019-06-01 12:52

reporter   ~0001627

Really thanks for the new month build and for all your work.

About GUI Layout, I added a photomontage. Only an idea to separate the Mask tool's properties.
(In the future maybe you can close and open the single properties like you have done in Resources->Video Effects with the arrow)

It would be better a frame around every properties with the title of the properties like in my photomontage but I think it is not possible because I do not see that in any Cinelerra's window, now. If you want, the next time, I can create another photomontage with the frame, even thought you all have always see in other OS and softwares.

PS:
I have to go and fix my father's lawnmower. ;-)

PhyllisSmith

PhyllisSmith

2019-05-31 14:16

manager   ~0001626

Last edited: 2019-05-31 14:55

View 3 revisions

IgorB - Thanks for testing!
- will check about mask button colors for the other themes
- will check with Olaf on the clear buttons too, because I am sure he will want to fix it himself
- expanders.txt updated to include RGBShift - good spot, it is good to keep this up to date (this will be in the builds today)
- will have to see what to do about mask name being keyframable -- I think anything that changes is subject to keyframe but for the name it does not make much sense

Also, any suggestions about where to place the "Track Name" in the GUI layout?

IgorBeg

IgorBeg

2019-05-31 08:46

reporter   ~0001625

Thanks! And for me it is really good. (I tried also with keyframes)

- I have noticed that also the Mask's name is keyframeable: is it what you wanted?

- Updating with radio buttons and tumbler is okay. Great! Thanks!

- About the mask number colour yellow when a mask is used:
-- SUV, Unflat, Neophyte, Cakewalk, Blue themes --> really good;
-- Pinklady, Blond-cv, Blond, Hulk themes --> so and so (or my monitor doesn't display them well);
-- Bright theme --> it shows only the first 4 radio buttons, due to the great distance between radio buttons, and no tumbler;
-- BluDot theme: not visible the radio buttons and the masks number of the masks used.

- Neophyte's clear/reset button is still the old png (or, perhaps, you want to leave that).
Maybe Olaf want to remake it using its Undo button and rotating it by 90 degree counterclockwise, like Him has done in Cakewalk theme.
Otherwise you can find what I had done in note 1579
https://www.dropbox.com/s/bd3i0urx61m8pvu/Cin-GG_themes_Suv-Unflat-Neophyte_Mask-and-Clear_btns.tar.gz?dl=0
PhyllisSmith

PhyllisSmith

2019-05-31 01:34

manager   ~0001624

2 things - when you change mask number with the radio buttons, it now correctly updates the values and when there is an active mask, it turns the mask number to the color yellow so it is very easy to see. A couple of keyframe related bugs were fixed too. More follows still next month.
   https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz
We will be doing the builds tomorrow (May 31 for us) but if there is a major crash, we can fix that and still get the builds done if early enough.
IgorBeg

IgorBeg

2019-05-30 11:52

reporter   ~0001623

Maybe it is too late for the May 31 build,
but when you change mask number with the radio buttons or the tumbler, the Fade, Feather, Point,..., values are not update.
With the pulldown menu it works fine.
IgorBeg

IgorBeg

2019-05-30 08:23

reporter   ~0001622

Mmpfh, I mean "... under the radio button, ...".
Instead of asterisk, may be better the text number underline?
0 1 2 3 4 5 6 7

Thanks!
IgorBeg

IgorBeg

2019-05-30 08:09

reporter   ~0001621

Only a word: WoW!

One thing again, and excuse me for another request, but I think it may be really useful.
Would be possible to add an asterisk (or any other simply character) on the left side of the mask number, under the checkbox, when there is at least one point in that mask?
So you can see/understand, on the fly, that there are active/draw masks there, and in which mask number, without to check the others.
I added a photomontage to explain better, I hope.
Thank you so much!

PhyllisSmith

PhyllisSmith

2019-05-30 03:24

manager   ~0001619

Believe it or not, after Andrea reinforced the boring-ness of having to select the mask number and IgorB suggested the radio buttons solution, GG managed to add them -- and even with the mouse wheel tumbler! A new Ubuntu 16 version is at:
   https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz

I actually found a useful situation for allowing the mixed mode (at least that is what I think) so it is staying in as legal for now and as stated earlier simply avoid mixing them.
PhyllisSmith

PhyllisSmith

2019-05-29 21:30

manager   ~0001616

Here is a correct explanation as reviewed by GG. You might want to read the last paragraph first.

When you have multiple masks with different modes, which in the past were Subtract Alpha (default) and Multiply Alpha, and are now Fade slider bar positive (default 100) and Fade slider bar negative, a decision had to be made on what value to use. For summarizing first, it uses the maximum transparency value of the background to determine the operational results. Here is described how that works.

Definitions for understanding:
  - The area outside the mask is referred to as the background.
  - The operational result is based on the maximum transparency value of that background.
  - This is not going to be a blend anymore because it would end up blending for each negative value,
    and the result would probably not match any mask.

Case 1, Positive Fade:
   When the fade for all of the masks is positive, affecting the area inside of the mask, all of the
   background colors are at a transparency value of zero. So the largest transparency value is 0,
   and all masks are drawn with opaque backgrounds, depicted as one would expect.

Case 2, Negative Fade:
   When the program computes the background color for any number of masks that includes negative
   mask(s), it uses the largest transparency number as the determining factor for the background.
   Only 1 of the masks can be largest, and wins for the background color result.

Even though this mixing is possible, it is probably not useful even though the program can handle it anyway. This negative case mixing did not exist in the past implementation of Masking. Suggestion is to avoid using multiple masks with negative and positive simultaneously if the result is undesirable.
IgorBeg

IgorBeg

2019-05-29 20:45

reporter   ~0001615

Oops, Sam. Same time.
Thanks Sam!
IgorBeg

IgorBeg

2019-05-29 20:42

reporter   ~0001614

Thanks Andrea_paz.
I think that all the eight masks, in one track, should have only positive Fade values or only negative Fade values; not mixed mode.

About the radio buttons for quick selection I mean something like the photomontage added (sorry, I have done really quickly). It is only an idea.

Mask_8radioButtons.png (39,662 bytes)
Mask_8radioButtons.png (39,662 bytes)
Sam

Sam

2019-05-29 20:37

administrator   ~0001613

It looks like it's overlapping. Seems to be an additional new feature or a small bug has crept in. ;-)
Andrea_Paz

Andrea_Paz

2019-05-29 20:20

updater   ~0001612

> What you see in the Compositor?
> I tried but the result is really strange. For me this option should not be possible, I think.

You are right, it's really strange. How do you say the various masks are joined (in the same alpha plane inside the tool?) and then we see in compositor the simple overlapping of the fade value of the two masks. The single masks correctly show each one its value, but the result in the compositor is an overlay. The feather slider has not this problem.
IgorBeg

IgorBeg

2019-05-29 19:43

reporter   ~0001611

Sorry, and thanks for your reply.
I am not speaking about design but the possibilities to use two different modes (subtract or multiply, respectively Fade positive or Fade negative) on different mask.
I try to explain better with an easy example:
1) create 4 point (a rectangle) in mask number 0 with Fade=+80 (subtract) on the left side of the compositor
2) create 4 point (a rectangle) in mask number 1 with Fade=-80 (multiply) on the right side of the compositor
What you see in the Compositor?
I tried but the result is really strange. For me this option should not be possible, I think.
Could you try, please?

About Andrea/Phyllis fast selection of the mask number: and add eight radio button, one for every mask, numbered from 0 to 7?
So I press the radio button number 3 and I can see the data (Fade, Feather, and so on of that) and work on that mask. Only one click. Of course the pulldown menu stay there to rename the number of the mask with a word.
Sam

Sam

2019-05-29 18:34

administrator   ~0001609

@IgorBeg
Unfortunately I couldn't answer sooner because I'm on the road a lot right now.

I don't have a problem with the new design. I find it solved very intelligently. Whether I can set it via a drop-down menu or the slider is the same for me. With the current solution, all I need to do is move the slider from left to right and vice versa and see the results immediately. In the previous version I had to make an intermediate step via the drop down menu, that is no longer necessary. It saves one step and is, in my opinion, more user-friendly.

I don't know if I've grasped the problem correctly, what you're trying to explain, maybe you can describe your point of view in more detail why this design is disadvantageous.
PhyllisSmith

PhyllisSmith

2019-05-29 18:17

manager   ~0001608

Andrea: it is worse than boring to have to press the down arrow. GG started to code to use a tumbler instead but it was a whole rework of the GUI down arrow and he has to delay this until next month. I want a listbox instead where you just highlight the mask you want and if I can design a good one for him, he is willing to look at that.
Andrea_Paz

Andrea_Paz

2019-05-29 18:03

updater   ~0001607

Igor, I don't really understand point 3, can you explain it to me? The little I've tried seems to work for feather. Fade is confusing for me: I don't understand it.
Small request, absolutely not important:
I find it boring every time I have to press the down arrow and then select the mask to work on from the pulldown. Can I bring the mouse into the textbox and then scroll from one mask to another with the wheel? Or even better: in the compositor window, use the wheel (or the arrow buttons, or the numbers buttons) to switch between the masks?
PhyllisSmith

PhyllisSmith

2019-05-29 16:48

manager   ~0001606

IgorB: I have an answer for you on point 3, but I have to technically word it correctly and have GG review it first.
IgorBeg

IgorBeg

2019-05-29 16:44

reporter   ~0001605

Again about 3.point (note 1603) and if the things could not be changed...
What do you think if the gang fader of Fade and Feather are enabled by default instead of disabled by default?
It would be the old behaviour, I think.
IgorBeg

IgorBeg

2019-05-29 11:32

reporter   ~0001603

Phyllis/GG thanks a lot for your work!

Some points.
1. Neophite theme: clear/reset button images are not update. I had done them (note 1579), but maybe is Olaf updating the four icons?

2. "The fade and feather sliders have a sticky spot near zero so it is easy to stop there."
It is a very good idea.

3. About Fade -100_0_+100 values. My doubt is: is it right we may have two masks with different mode (subtract and multiply) at the same time?
Consider you have mask_0-Fade=+80 and mask_1-Fade=-80. I think (and I have tested) it does not work fine but not for a mistake. I think that the masks can not have two different mode, unfortunately, but them have to be in accord. Or, at least, as mask works now.
Please, can you make this simply test?
Of course if you use gang fader option the masks work in accord (then maybe them always have to work in accord) .
It will be different if a new plugin named Mask, like Sketcher or Tracer plugins, were created, so you can make a kind of stack with different plugins: video, color3way, mask, color3way, mask, mask, and so on.
I hope I explained myself well.

@Sam (and all)
Could you reply at my 3.point, please? I think it is really important. If you think it is better speak about in another place, for me it is okay. Thanks.
PhyllisSmith

PhyllisSmith

2019-05-29 02:00

manager   ~0001601

Some changes checked into GIT today. Progress is being made but this masking project will not get completed this month after all (and that includes some of the same options being included in Perspective, Tracer, etc.)

@IgorB: fix for loading of old project inverted wrong is now in. And the clear/reset buttons you provided for all of the themes along with the svg files have been checked in. They look cleaner and very consistent. Thank you for this tedious work.

https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz
https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-mint18-x86_64-static.txz

A rounding addition being used previously had to be removed because now the numbers are accurate and this was causing errors.
3 more tooltips were added on boundary, markers, and focus.
When tool-tip like additions were added for Autos last September, Mask was mistakenly included but is now removed.
OpenGL debug capability was corrected to help diagnose future problems.
PhyllisSmith

PhyllisSmith

2019-05-28 14:43

manager   ~0001600

Confirmed inverted mask problem and GG is working on that now.
The reason for the Marker and Boundary options is because they will become more useful in the future when you can see all masks at once.
IgorBeg

IgorBeg

2019-05-28 12:50

reporter   ~0001599

Loading an old project, now the mask mode is inverted.
It was "subtract alpha" mode and the Value=90. Now Fade= -89 and in the Compositor the mask is inverted (like it was "multiply alpha").

IMHO Marker and Boundary options (checkbox and text) no needed. Why?:
- only one mask with Marker and Boundary is displayed at a time (if more masks are there) and I have to see the Marker and the Boundary to move/change them.
- when I exit from Mask mode they are always disabled.

Other things but for me it is too late.
Sam

Sam

2019-05-27 20:47

administrator   ~0001598

Quick test: It seems to be working fine. OpenGL works exactly as expected. Thx :-)
PhyllisSmith

PhyllisSmith

2019-05-27 19:53

manager   ~0001597

OpenGL plus other Masking changes just checked into GIT. I will have to describe them better in an email. All is not yet in.
IgorB: Ubuntu 16 build at: https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz
IgorBeg

IgorBeg

2019-05-24 09:11

reporter   ~0001593

I put here the photomontage with the difference between Kdenlive's RGB-parade and Cinelerra's Vectorscope.
Surely I had to open a new ticket. Sorry.

IgorBeg

IgorBeg

2019-05-24 08:07

reporter   ~0001592

I continue to write here for the Clear buttons then, excuse me, Phyllis and Sam.
In compressed file you can find the SVG files. Only the Blue-Dot and Blond-Cv have the background raster image then you can not enlarge with scaling. Thanks.

Sam wrote:
"...because the vector scopes in Cin are still insufficient. It's all very pixelated and a very detailed display is currently not possible."
I agree with you Sam. You and me had spoken about time ago.

Cin-GG_themes_Clear_btns_source_SVG.tar.gz (18,766 bytes)
Sam

Sam

2019-05-23 16:21

administrator   ~0001587

"Sooner or later, GG is planning on scaling all of the windows and icons so that they show correctly on different monitors automatically."

I would also be very happy if that were possible in the future. With this step I would suggest to implement subpixel display. I am still doing my color correction with commercial solutions because the vector scopes in Cin are still insufficient. It's all very pixelated and a very detailed display is currently not possible.
PhyllisSmith

PhyllisSmith

2019-05-22 16:55

manager   ~0001586

He plans on using your Clear buttons for sure. The SVG is always nice to have and here is why -- bigger monitors with 8K are in the future and there is already a BT to implement that. Sooner or later, GG is planning on scaling all of the windows and icons so that they show correctly on different monitors automatically. However, because GG wants to work on code and not pictures, if he gets the PNGs done, he lazes out. Your choice.

BTW - just an update, he is still struggling with OpenGL.
IgorBeg

IgorBeg

2019-05-22 16:19

reporter   ~0001585

To close the circle about the Clear buttons, here, in the compressed file, the PNGs for Blond-cv and Blue-dot.
Thanks. If you will use them, I will do the single SVG file for every button and I will send to you.
Thanks again.

Cin-GG_themes_BlondCv-BlueDot_Clear_btns.tar.gz (3,879 bytes)
IgorBeg

IgorBeg

2019-05-21 20:23

reporter   ~0001584

Excuse me. Probably I am wrong to write here.
However I have done the Clear buttons for PinkLady, Hulk, Bright (Brrr!!!), Blue and Blond themes. Clear buttons for Blond-cv and Blue_Dot themes next time, I think (also if I don't know how many users use them).
I added compressed file.
Thanks.

Cin-GG_themes_PinkLady-Hulk-Bright-Blue-Blond_Clear_btns.tar.gz (6,066 bytes)
Andrea_Paz

Andrea_Paz

2019-05-21 09:49

updater   ~0001583

The way I see it, we can close the ticket. My other requests and those of Sam (IMO) do not concern the CinGG mask tool, but another real rotoscoping tool. So it is right to open a new ticket.
By "cloning" a mask in the same track, I meant the content of the mask, that is, just a rotoscoping (how to multiply a few stunts to create an entire army). So there is no need to implement it in the CinGG mask.
PhyllisSmith

PhyllisSmith

2019-05-20 16:50

manager   ~0001582

Work on Masking improvement continues -- gg has very little knowledge of programming OpenGL so has to figure that out and it is time-consuming to learn so much. He has some more features added but only in software instead of also OpenGL.

@IgorB: thank you for the Clear icons. He will put that in and I do not know yet about the Mode icon as he thinks he does not need that anymore. He has made more GUI changes and I am not sure what and do not want to disturb.
- The Fade and Feather sliders will be made the same size per your recommendation.
- Your buttons for the Load window are so much better than the original hand-drawn ones -- especially the Refresh and Display Icons. I am still hoping that an enthusiast computer student will eventually like to make a project out of fixing some of the icons and replacing some.

@Andrea: implementing "Power Windows" looks like another big programming task -- gg right now was just hoping to get this MantisBT number 2 closed (seeing how it was the second one added!). I think Sam's note 1578 concerns the same area for a future improvement. If neither of these get included by the time GG is done with Masking, I will open a new ticket specifically for these feature requests. After all, it is all about Color!
- He is working on fixing the Feather jagged-and-incorrect with OpenGL which you confirmed was present from the beginning.
 - "Clone a mask on the same track" - maybe he will be adding this as I have reminded him to include it.
 - "input windows where I can see and enter the angle in degrees and the percentage of scaling" - I asked about this but I did not get a clear answer -- something like "it does not keep track of the original mask once it rescales.
- "a minimal crosshair for the centre of gravity of the mask" - this he will do as the numbers are calculated anyway.

@Sam: plan is to change the Pivot/Focus point to your recommended icon but most likely in black and white instead. Rules/Guidelines for icons would be really nice to have and follow. Maybe someday we can redo to "make it so".

Also, just want to emphasize that a bunch of people put a lot of work into all of the themes, and we want to make sure to retain them and not have the icons get too far off so that they are not visible, even in Hulk and Pink Lady.
IgorBeg

IgorBeg

2019-05-20 09:14

reporter   ~0001579

I have created the two buttons for the three most used (I think) themes: SUV, Unflat and Neophyte. The buttons' size is 22x20 pixels, for the reasons I wrote previously.
The buttons, in normal state, are not raised/highlight but flat to avoid to "weigh down" the graphics.
In the compressed file you can find all the PNGs for these buttons.
You don't find the source SVG file because I don't know if you will use the PNGs buttons I have created and then I don't want to spend my time in clean/purge the SVG file for nothing.

If you will not use my buttons I can understand. Thanks for all your work.

Link to the compressed file at:
https://www.dropbox.com/s/bd3i0urx61m8pvu/Cin-GG_themes_Suv-Unflat-Neophyte_Mask-and-Clear_btns.tar.gz?dl=0

Link to the preview/demo at:
- SUV --> https://streamable.com/xq776
- Unflat --> https://streamable.com/ulhi3
- Neophyte --> https://streamable.com/csd3v
Sam

Sam

2019-05-19 00:10

administrator   ~0001578

Thanks for the correction.

I noticed one more thing about masks. DaVinci Resolve and also other professional NLE's often use masks to create certain areas of the video a color correction or color change. Let's take for example a car commercial. The car rims are made lighter, but the rest of the video remains unchanged. Other areas of the car are darkened or a slight contrast is added. This means that several masks are used to narrow down these areas of the video and apply the color correction effects to these masks.

Example 1:
Video track 1 first mask -> effect 3 Colors more blue in shadow.
Video track 1 second mask -> Contrast effect -> Increase contrast
Video track 1 third mask -> More color saturation

Example 2:
Video track 1 first mask -> effect 3 Colors more blue in shadow.
Video track 2 same video as in track 1 and first mask -> effect Contrast -> increase contrast
Video track 3 Same video as in track 1 first mask -> More color saturation

The difference from example 2 to example 1 is that in example 1 I only need one video track and apply all effects to the different masks on this one video track. This would probably save a lot of processing power. It would also be more user-friendly because I only have to edit one video track and not the same video spread across multiple tracks.

I have no idea if it would work to assign masks to certain effects.

I just wanted to stimulate this idea because I find this feature very useful. Maybe a mask assignment to effects can be realized in the medium term and current programming can be prepared for it.
PhyllisSmith

PhyllisSmith

2019-05-18 14:13

manager   ~0001576

The fix for the rotation using bezier curves was just checked into GIT. No other masking changes as gg is still working and it may be a few more days but he tends to want to get small bugs fixed right away.
Sam

Sam

2019-05-18 02:28

administrator   ~0001575

@PhyllisSmith
The new rotation feature causes an error when rotating a mask that the mask changes unintentionally when using bezier curves. These adjustment bars do not move when rotating. I made a video about that.

https://streamable.com/2r4y1
Sam

Sam

2019-05-17 18:58

administrator   ~0001574

Last edited: 2019-05-17 23:40

View 2 revisions

Sam--> I agree too.

I was referring to the mixing of functionalities, I should have clarified that better in my answer. I agree that the buttons should have a unique function. But my concerns relate to the "Shift + Delete" button. I would prefer to have a unique button. This button can also have a different symbol. It does not have to be the reset symbol. It can also be a symbol with a crossed out mask.

If you don't like the word "rules", we can also use the word guidelines. The guidelines do exist with many software vendors. Apple and Microsoft have such guidelines and even many open source projects have such guidelines. I think it wouldn't be bad to stick to certain guidelines. By these guidelines we bring more clarity into the design of Cinelerra. Here is an example https://icons8.com/articles/choosing-the-right-size-and-format-for-icons/ , which KDE and Gnome Apps also recommend. Check out the Desktop Apps category and you'll find what I meant.

I just wanted to say that if we are going to create new icons, it would be good to make them consistent. Yes, my proxy icon has strange dimensions. I had to stick to the measurements that already existed so that all the other themes didn't have to be reworked. Even then I was dissatisfied with it. That's why my proposal and wish are to adhere to already existing guideline recommendations, so that a uniform and better design can finally be achieved.

By the way, I welcome every contribution made to Cinelerra and look forward to your ideas for the icons.

Update: I forgot to mention that when I created the proxy icon I used the FFmpeg as a template.

IgorBeg

IgorBeg

2019-05-17 17:27

reporter   ~0001572

@Sam
" I don't like the "Shift + Delete" option at all"
It sounds strange to me. In your 1537 note you wrote:
IgorBeg --> 7) The "Shift+key delete" to delete All_Mask or delete All_Point had more sense to me, against the new button on the right side of the Delete buttons. It is better no mix the functionality of a button like Clear button: the user may be confuse.
Sam--> I agree too.

Regards to square button, there is not a rule. There are still rectangular button like your Proxy button (32x22px). Anyway the height of all the generic buttons now is 20 pixels; and the height of the sliders is 20 pixels, and the cursor of the sliders is 20 pixels. Then I will do the two buttons, Mask and Clear, 24x20 pixels size for my use and if you (Sam, developers and users) want, I share with you.
Time ago I had done some buttons, for the SUV theme, to improve their appearance but nobody was interested. So, it doesn't matter again.
In added file you can see the buttons for the Load window.

Sam

Sam

2019-05-17 16:19

administrator   ~0001568

To Igor's answer:

1: I absolutely agree.

2: I agree with that.

3: I agree with you about the blue colour, only white/black will probably be better.

4: There should be uniform design rules as with all other programs. I don't think much of keeping different lengths for buttons like 23x21. Especially with square buttons the rule applies. 12x12, 24x24, 36x36, 48x48 etc. For this reason I'm currently reworking my Cinfinity Icon and implemented the uniform design rule for square buttons. I hope that we could finally introduce a few design rules in order to achieve a minimum standard in software design in the long run.

5: I don't like the "Shift + Delete" option at all. There should be a button for it and that is given by the new button. Cinelerra is the only program that has a different effect with Shift on a button. I would stick to the known standards to make Cinelerra more comfortable for the users. For the "Shift + Delete" option I need an explanation again and for the "delete all masks" button I don't need it. The current operation is more user-friendly.
IgorBeg

IgorBeg

2019-05-17 08:59

reporter   ~0001564

Thanks for the build. And I add my considerations.

1- Alignment of the texts and fileds is very, very good! Clean and Professional!

2- Feather's slider is a bit larger than Fade's slider. Is it possible to make them with the same width?

3- Sam's suggestion about Pivot: maybe it is better to make the pivot like the arrow of the mouse pointer is, full white with the black frame. Then the pivot would become a white circle (with the hole like Sam's pivot.png) with the black frame. Not colour blu or red. I added a png file (size to verify)

4- The new buttons size is 24x24 px. It is not good, for me, because the height of the slider, hslider, and the genericButton is 20 or 22 pixels. In my sketch the height was 21px.
So, if you have not against, I can do the complete series of buttons, Mask and Clear, for the 3 more used themes: SUV, Unflat and Neophyte.
I need more time, about 4-5 days in my spare times. If you needed the final size of these buttons I can say you: 23x21 (width x height).
Then you can decide if it is good to replace or not.

5- Finally, and again (sorry), I would delete the Clear button to "Delete all mask" and would replace with the old "Shift+keyDelete".

Thanks!

Andrea_Paz

Andrea_Paz

2019-05-17 08:16

updater   ~0001563

Test are OK for me. Thanks, thanks, thanks, ... :-)
I like the Sam's pivot blue.
Other requests for improvement:
- Can I have input windows where I can see and enter the angle in degrees and the percentage of scaling? This would be convenient to use in conjunction with keyframes. (Polar coordinates are more comfortable to use than Cartesian coordinates.)
- Is it possible to have a minimal crosshair for the centre of gravity of the mask? In this way we could always center the rotation with the highest precision of focus positioning, if necessary. ((for example, it is difficult to find the exact center of a circle by moving the mouse without references)
Sam

Sam

2019-05-16 23:25

administrator   ~0001561

The idea of enlarging the blue pointer with a higher resolution is solved very well.
However, I would make this blue pointer two-colored. In a video with a lot of blue color the pointer will almost disappear. I would make this pointer one to two pixels white at the edge. In addition, I would not display this pivot as a cross, but as a circle, because it is a circular movement around this point. I made a photomonate to show what I mean by that.

1.) On a blue background you can still see the round circle with a white border and a white dot in the middle of the circle.
2.) The second picture shows it on a red background.
3.) The third picture shows it in an enlarged view.

That new crosshair is very well visible for me.

pivot.png (1,326 bytes)
pivot.png (1,326 bytes)
pivot_blue_bg.png (325,457 bytes)
pivot_red_bg.png (325,866 bytes)
Pivot.svg (3,631 bytes)
PhyllisSmith

PhyllisSmith

2019-05-16 22:13

manager   ~0001560

There is more being added yet, but I forgot to mention.
- the crash was fixed too when no armed track and bring up masks
- I was supposed to test keyframe spanning and did not do that yet, but it was not changed so should still work

How to use Focus Point - to set, move cursor in the compositor where you want it, then hold shift+click with the middle mouse button and it records that point. BE AWARE that the next time you shift+click the middle mouse button, it deactivates the Focus checkbox. Both Rotate and Scale use the Focus Point for movement.

2 questions:
  ? does the Focus point look OK as far as size and color (size is based on resolution) ?
  ? original BT has "crosshair of mask is too small and lacks color aggressiveness" -- do you recommend changes for that ?

Plus - it is still gg's intent to also put rotate/scale in other places such as Perspective/Tracer/Sketcher is he can.
Sam

Sam

2019-05-16 21:53

administrator   ~0001559

I was so excited about the new design that I overlooked below that you had already integrated my suggestion. You are great!
Sam

Sam

2019-05-16 21:49

administrator   ~0001558

Wow, you guys were faster with the buttons than me. Thank you so much for your effort. The new window looks so great! Simply by better arrangement of the buttons everything looks so clear and concise! You become designers :-)
That's what I meant originally, Cinelerra only needs a few design corrections to make it look more modern and attractive, that's what you proved with the new mask window.

Thanks a lot! Great work!

I still have a small improvement suggestion. The X and Y coordinates have to be entered manually so that the blue pointer turns. I would have a small addition to it, so that determine this point goes faster. By pressing the middle mouse button, the X and Y coordinates of the current mouse position are adopted and entered into the X and Y fields of the pivot point. This makes it more intuitive to work with.
PhyllisSmith

PhyllisSmith

2019-05-16 21:22

manager   ~0001557

Ready for "phase 2" of mask testing - mostly cosmetic + focus. There is an ubuntu16 build at (since Igor has to check his buttons; but he is going to be making more changes in the next couple of days, so did not create a Mint18 build) :
   https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz

- a focus / centroid / pivot point is recorded and can be changed for use with Rotate and Scale around that point
- use Igor's modified Mode and Clear buttons (and the same Clear button is used for the 16 plugins too) + changes color
- added a "sticky"point at 0 on the fader so it is obvious when you get to 0 and you don't have to keep jiggling until get 0
- changed GUI layout to get closer to Igor suggestions, for example put X and Y in a column instead of a row
- tooltip for Mode changed to subtract/multiple alpha but gg thinks this is technically incorrect
- clear button removed from "Point" (Mask stays)
- clear button added to Feather

 - "Only under X11-OpenGL this strange feathering appears" - pretty ugly and GG had looked into this and says it is because OpenGL is using tesselate to do this which was a bad idea. I put it down as something they may have to be fixed someday, but for now there is an easy workaround.

@Sam - I have an idea about doing GUI changes, but do not think currently that a non-programmer could do this. Actually what you and Igor have provided is most helpful. The problem is he has to pretty much create the GUI changes BEFORE he can add new features so it impossible to have you/Igor design the GUI when he does not even know what he is going to be adding at the time.
Sam

Sam

2019-05-16 16:08

administrator   ~0001555

Thanks for the information.
Andrea_Paz

Andrea_Paz

2019-05-16 15:21

updater   ~0001554

We already talked about this in the messages on Tracer plugin (https://lists.cinelerra-gg.org/pipermail/cin/2019-April/000542.html and following). Sorry to always insist on these thoughts, I'm very interested in the subject. The DaVinci tool works as you can see in the video, because it creates a matte on the alpha channel. On this we can operate as we want, with the Color Correction for example, and then in compositor we see the result of the fusion between matte and video. Instead, the Cinelerra mask tool creates a selection mask, i.e. a hole in the track, without the possibility of operating on it. This is why it is not possible to clone a mask in the same or in other tracks (a hole has no data inside it), and for this reason it is not possible to create unclosed curves until to the end (a hole must be closed by force). Blu Banana also behaves in this way, unlike all the other HSL Qualifiers who create a real matte. And in fact even Blue Banana does everything within itself, we aren't able to intervene with other external plugins. You have to wait for its output and then apply something else. And so is the Chroma Key. No one creates a matte in an independent channel, just selection masks. I tried to use Reroute plugin to export the selection mask to a new track, but it doesn't work because it is an internal selection mask of the tool/plugin you are using and not a real matte in the alpha channel. See also the problem posted by StupidMan: https://www.cinelerra-gg.org/forum/help-video/alpha-mask-selection-on-one-track-new-user-questions/
I think it's a limitation of Cinelerra's compositing engine. I'm sure of this difference in behavior: the manipulation of the alpha channel is explained in all the books I've read. But if the cause is Cin's compositing engine and if it can be solved, I have absolutely no competence to say it. Kdenlive has very crude alpha manipulation tools, but he does.
Sam

Sam

2019-05-16 13:50

administrator   ~0001553

@Andrea_Paz
Thank you for pointing that out. I wanted to report this so that other users would know that this effect could be disabled. Maybe it would be good to mention it in the documentation.
Sam

Sam

2019-05-16 13:48

administrator   ~0001552

I also noticed a very important point, which we masks tool does not master. Please have a look at this video: https://youtu.be/i8DuPM-CtCk?t=331

In this video he limits the range/area used for the vectorscopes to make the exact color match. If I have only one video track, and want to use the mask for the color correction, then the mask does not create a border or a black background. It would be very useful if this could be extended to use it as in this video. Currently, the mask tool has no effect on the videoscope, which is unfavorable for color correction.
Andrea_Paz

Andrea_Paz

2019-05-16 07:09

updater   ~0001550

I confirm the problem with X11-OpenGL. It was present from the beginning, see the following video (13:35 - 13:55)
https://www.youtube.com/watch?v=uo0CVPQFgSc&list=PLr12wAaNzDdVSzd8_2pLzio_D0q_saa83&index=8
Sam

Sam

2019-05-16 00:41

administrator   ~0001546

Here are the pictures for illustration:

OpenGL-Feather.jpg (117,374 bytes)
OpenGL-Feather.jpg (117,374 bytes)
X11-Feather.jpg (120,728 bytes)
X11-Feather.jpg (120,728 bytes)
Sam

Sam

2019-05-16 00:26

administrator   ~0001545

Last edited: 2019-05-16 00:34

View 2 revisions

I figured out how to set the Feather transition the way I wanted it to be. All I have to do is activate "Apply mask before plugin" and the feather will be displayed without any zigzags. Activating this option makes the transition line absolutely straight and smooth.
Update: This zigzag transition is caused by the OpenGL. By deactivating the OpenGL masking the jagged feather disappears completely. Under X11 this strange representation of the feather is not displayed at all. Only under X11-OpenGL this strange feathering appears.

Sam

Sam

2019-05-15 17:51

administrator   ~0001543

Thanks for the files.

I like the arrangement of the buttons in your example. Looks better.
IgorBeg

IgorBeg

2019-05-15 17:37

reporter   ~0001542

Thanks at all.
@Sam
I still have to solve my problems with vaapi and the desktop computers offline and then, if you are not against, I could give you the svg files where you can find the base buttons I have done quickly. If you may complete the buttons I thank you. The size in svg is right, for me. The hslider icon size is 19x20 pixels. I added a tar file for you with the basic svg. Let me know if it can help. Thanks!

For the Fade slider would be better move the Mode button on the left side of the slider and put a Clear button on the right side of the slider. Clear button will move the slider on zero position (in center of the slider). I added another photomontage. What do you think about?

@Phyllis
Excuse me if I still haven't reply to your message in mailing-list but I have read. Thank you!

You all run too fast for me. Have you a clone body/mind machine?

Cinelerra_maskMode-and-Clear_btns.tar.gz (4,906 bytes)
Sam

Sam

2019-05-15 16:40

administrator   ~0001541

Unfortunately I didn't know the exact dimensions of the buttons, so I only sent you the SVG file. I can create the finished PNG images for the "Mode" and "Reset" button based on the suggestions. Today I won't be able to do that anymore, but tomorrow I will be finished with it.

I would love to change the design of the GUI, what do I have to learn? For example, I see that the Set Format window the input fields are all nicely aligned, but in the Mask window the input fields are not aligned. To align the buttons, what would I have to program? Is the programming effort particularly high? I would make the changes step by step, window by window, if I knew where to make the improvements.
PhyllisSmith

PhyllisSmith

2019-05-15 16:28

manager   ~0001540

Thanks for testing and the feedback -- it is very helpful
1) crash has been fixed here locally when no track is armed
2) current fader working is meant to sort of represent percentage 100% in the positive direction and then in the negative
3) size matters concerning the mode and the clear buttons; see number 5 below
4) clear button is probably going to stay the same; the problem we did have with the clear button is 2 fold:
     1 - the icon Sam supplied was perfect BUT for the plugins, it needed a box around it and gg had to inkscape that and had a lot of trouble getting the size correct.
     2 - the plugins clear button, as Igor pointed out, needed 3 states: up, down, hi and maybe 2 more
5) we DESPERATELY need a good looking Mode button with all 3-5 states. GG spent 1 1/2 hours just to get what is currently there and finally after much time wasted with no program code generated to add features, he just left it in this "ugly" state. Please someone provide a good looking 1 with ALL the states. I like Igor's but it is very important to realize that the current mode button switches from showing "foreground dominant" to "background dominant" -- the same way the mask shows in the compositor! - this is a cool component that gg wishes to be represented in the icon, that is "which picture has a hole in it".
6) the tooltip hint on the mode button will be changed to better describe its usage -- gg says "subtract/multiply alpha" is technically incorrect though but it will be changed somehow.
7) really? I kind of liked this but if it is confusing, it is easy to remove later
    also though, per Igor's png, a Clear button will be added to the Feather
8) aligning X and Y in a column as shown by Igor will be done
9) see number 4 above
10) discussed the rotation point coordinate this morning and gg is going to take a stab at that

Still waiting for a programmer GUI designer to fix up old dated GUIs and improve them to the "Set Format" standard -- this would really improve the look of Cinelerra. GG has always hated working on the "look" and you can see how "ugly" his buttons are !! Will have to continue to wait for a volunteer but you would think someone would enjoy doing that.
Sam

Sam

2019-05-15 14:53

administrator   ~0001539

In the new version, the feder creates a zigzag transition. Before, the transition was absolutely straight. I would appreciate it if I could decide for myself whether the transition is soft and straight or jagged.
Andrea_Paz

Andrea_Paz

2019-05-15 14:19

updater   ~0001538

10) As Sam said about the tracer plugin, you should make the rotation pivot fixed (with a click?) to increase the accuracy and reproducibility of the operation. Better if with a viewfinder or similar. To change pivot just a new click of the mouse in a different position.
Sam

Sam

2019-05-15 13:29

administrator   ~0001537

Last edited: 2019-05-15 13:30

View 2 revisions

1) If I click on mask icon (F3) when no track is armed then Cin exit and a dump file is created. (dump file added)
I confirm.

2) Fade slider value should goes from 0 to 100 (now from -100 to +100) otherwise the mode button has no more sense, I think.
I think the present solution is better. In the middle, the slider is value neutral at zero. Rightmost +100 and leftmost -100.

3) The new two buttons, now are different size (maskModeBtn= 27x18px; clearBtn= 22x16px): it is not good to see (design/layout).
I absolutely agree with you. Unaligned buttons and different sizes make the surface look chaotic. It creates optical sensory confusion, the already complicated operation. By arranging the buttons and controls you create an unconscious feeling of professionalism. The best example for a good arrangement of the buttons is the "Set Format" window. It shows that the arrangement of the buttons is possible and therefore it looks much better. It's one of the few windows in Cinelerra that gives the impression of not being from the early days of software programs.

4) The Clear button is very similar to Undo button: may be add a little dot under the arrow can help, I think.
In Premiere and also in DaVinici Resolve the buttons look the same. I wanted to give users a familiar environment so that they could use Cinelerra more easily.

5) The new Mode button is not good for a professional program like Cinelerra, I think. I added a quickly photomontage for that button.
I agree with you here as well. I did not create this button. There are better ways to display this button. I like your solution better.

6) The Mode button hint should be "subtract/multiply alpha", not generic "mode".
I agree.

7) The "Shift+key delete" to delete All_Mask or delete All_Point had more sense to me, against the new button on the right side of the Delete buttons. It is better no mix the functionality of a button like Clear button: the user may be confuse.
I agree too.

8) It would be better to align vertically the value fields of Point, X, Y. Added photomontage.
Your solution looks much better!

9.) Good point.

10.) The coordinates X and Y of the rotation point are still not displayed anywhere. If I rotate an object (mask) and want to apply this rotation point to another mask, I always have to estimate where I rotated the object before. Because I rotate the mask around the mouse pointer and don't know what the X and Y coordinates are. I would like the rotation point to be displayed and I can freeze this point. The mouse operation is ingenious, but this feature is missing to make it complete.



Set-Format.jpg (50,487 bytes)
Set-Format.jpg (50,487 bytes)
IgorBeg

IgorBeg

2019-05-15 12:59

reporter   ~0001536

Mmh, I known, I have missed an other point.
9) When the mouse pointer is over the Clear button (in the plugins), its state doesn't change, then you can not understand well if the mouse pointer is over or not.
Sorry
IgorBeg

IgorBeg

2019-05-15 12:54

reporter   ~0001535

Thanks for the ub16 build. Really good.

I noticed...
1) If I click on mask icon (F3) when no track is armed then Cin exit and a dump file is created. (dump file added)
2) Fade slider value should goes from 0 to 100 (now from -100 to +100) otherwise the mode button has no more sense, I think.
3) The new two buttons, now are different size (maskModeBtn= 27x18px; clearBtn= 22x16px): it is not good to see (design/layout).
4) The Clear button is very similar to Undo button: may be add a little dot under the arrow can help, I think.
5) The new Mode button is not good for a professional program like Cinelerra, I think. I added a quickly photomontage for that button.
6) The Mode button hint should be "subtract/multiply alpha", not generic "mode".
7) The "Shift+key delete" to delete All_Mask or delete All_Point had more sense to me, against the new button on the right side of the Delete buttons. It is better no mix the functionality of a button like Clear button: the user may be confuse.
8) It would be better to align vertically the value fields of Point, X, Y. Added photomontage.

I hope I missed nothing. Sorry for the fast ugly english. ;-)

PS:
the size of the Clear and MaskMode buttons in my photomontage is 22x20 pixels (23x21with the black frame).
Sam and Phyllis/gg, I know that you have done the icons/buttons very quickly, in so little time.

cinelerra_2277_20190514.dmp.tar.gz (19,013 bytes)
Andrea_Paz

Andrea_Paz

2019-05-15 07:48

updater   ~0001532

My fast test are OK. Thank you very much.
PhyllisSmith

PhyllisSmith

2019-05-14 21:56

manager   ~0001529

Note the icon that Sam contributed for Clear on the right hand side of the top line. This clear button was also substituted in the 16 plugins from the "user contributor" who cleverly added the Clear capability last month
PhyllisSmith

PhyllisSmith

2019-05-14 21:52

manager   ~0001528

Some changes to Masks has been checked into the GIT repository to include the following:
 - rotate the masks around a Pivot Point which will be the compositor cursor position (middle wheel)
 - scale to resize the masks (shift+middle wheel)
 - instead of subtract and multiple (which was clumsy in meaning) there is now an icon toggle for negative or positive along with a Fade slider bar and toggle
 - names for masks instead of just 1 through 7
 - Feather is a logical function instead of a mathematical function so should be faster
 - the mask engine was reworked and lots of cleanup was done

MORE TO COME!! Testing and feedback is welcome.

Mint18 test build at:
https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-mint18-x86_64-static.txz

Ubuntu16 test build at:
https://www.cinelerra-gg.org/download/testing/cinelerra-5.1-ub16-x86_64-static.txz

mask_gui.png (28,831 bytes)
mask_gui.png (28,831 bytes)
Andrea_Paz

Andrea_Paz

2019-03-26 10:59

updater   ~0001258

In addition to the requests made for Mask tool, I would also like to propose the implementation of a different masking tool, the "Power Windows" of DaVinci Resolve:
https://www.youtube.com/watch?v=T4Cv2hYhhBE
It's one of the fundamental tools of secondary Color Correction and CinGG would really become similar to professional software (only Hue Curves would be missing).
PhyllisSmith

PhyllisSmith

2018-12-06 17:20

manager   ~0000066

Level 4 HELP needed:
----------------------------
A C programmer who is familiar enough with Cinelerra to basically just operate it, would be perfectly capable of implementing better masking controls and techniques. First it would require some design work for all of the needed improvements. Or perhaps programming a single additional function would help to get familiar with the current masking setup. Level 4 help is based on a level rating system with level 1 the easiest and level 5 the hardest.
Sam

Sam

2018-12-02 20:58

administrator   ~0000011

I very much welcome this suggestion. +1
Andrea_Paz

Andrea_Paz

2018-12-02 20:54

updater   ~0000010

Add to new mask features:

- To be able to rotate the masks around a Pivot Point that we can set.
- To be able to resize the masks.
- Clone a mask on the same track.

Issue History

Date Modified Username Field Change
2018-11-26 01:18 PhyllisSmith New Issue
2018-12-02 20:54 Andrea_Paz Note Added: 0000010
2018-12-02 20:58 Sam Note Added: 0000011
2018-12-06 17:20 PhyllisSmith Note Added: 0000066
2018-12-06 19:58 Sam Tag Attached: HELP needed
2018-12-06 20:02 Sam Product Version => 2018-11
2018-12-06 20:02 Sam Target Version => 2019-06
2018-12-06 23:57 Sam Category General => Bug-Issue
2018-12-07 00:00 Sam Category Bug-Issue => Bug
2018-12-08 02:02 administrator Category Bug => Feature
2019-03-26 10:59 Andrea_Paz Note Added: 0001258
2019-05-14 21:52 PhyllisSmith File Added: mask_gui.png
2019-05-14 21:52 PhyllisSmith Note Added: 0001528
2019-05-14 21:56 PhyllisSmith Note Added: 0001529
2019-05-15 07:48 Andrea_Paz Note Added: 0001532
2019-05-15 12:54 IgorBeg File Added: Cinelerra_MaskTool_Subtract-Multiply_multiply_20190515.png
2019-05-15 12:54 IgorBeg File Added: Cinelerra_MaskTool_Subtract-Multiply_subtract_20190515.png
2019-05-15 12:54 IgorBeg File Added: Color3Way-ClearBtn_20190515.png
2019-05-15 12:54 IgorBeg File Added: cinelerra_2277_20190514.dmp.tar.gz
2019-05-15 12:54 IgorBeg Note Added: 0001535
2019-05-15 12:59 IgorBeg Note Added: 0001536
2019-05-15 13:29 Sam File Added: Set-Format.jpg
2019-05-15 13:29 Sam Note Added: 0001537
2019-05-15 13:30 Sam Note Edited: 0001537 View Revisions
2019-05-15 14:19 Andrea_Paz Note Added: 0001538
2019-05-15 14:53 Sam Note Added: 0001539
2019-05-15 16:28 PhyllisSmith Note Added: 0001540
2019-05-15 16:40 Sam Note Added: 0001541
2019-05-15 17:37 IgorBeg File Added: Cinelerra_maskMode-and-Clear_btns.tar.gz
2019-05-15 17:37 IgorBeg File Added: Cinelerra_MaskTool_Subtract-Multiply_subtract_20190515_v2.png
2019-05-15 17:37 IgorBeg Note Added: 0001542
2019-05-15 17:51 Sam Note Added: 0001543
2019-05-16 00:26 Sam Note Added: 0001545
2019-05-16 00:34 Sam Note Edited: 0001545 View Revisions
2019-05-16 00:41 Sam File Added: OpenGL-Feather.jpg
2019-05-16 00:41 Sam File Added: X11-Feather.jpg
2019-05-16 00:41 Sam Note Added: 0001546
2019-05-16 03:45 PhyllisSmith Assigned To => goodguy
2019-05-16 03:45 PhyllisSmith Status new => assigned
2019-05-16 07:09 Andrea_Paz Note Added: 0001550
2019-05-16 13:48 Sam Note Added: 0001552
2019-05-16 13:50 Sam Note Added: 0001553
2019-05-16 15:21 Andrea_Paz Note Added: 0001554
2019-05-16 16:08 Sam Note Added: 0001555
2019-05-16 21:22 PhyllisSmith Note Added: 0001557
2019-05-16 21:49 Sam Note Added: 0001558
2019-05-16 21:53 Sam Note Added: 0001559
2019-05-16 22:13 PhyllisSmith Note Added: 0001560
2019-05-16 23:25 Sam File Added: pivot.png
2019-05-16 23:25 Sam File Added: pivot_blue_bg.png
2019-05-16 23:25 Sam File Added: pivot_red_bg.png
2019-05-16 23:25 Sam File Added: Pivot.svg
2019-05-16 23:25 Sam Note Added: 0001561
2019-05-17 08:16 Andrea_Paz Note Added: 0001563
2019-05-17 08:59 IgorBeg File Added: Mask_pivot-CircleCross.png
2019-05-17 08:59 IgorBeg Note Added: 0001564
2019-05-17 16:19 Sam Note Added: 0001568
2019-05-17 17:27 IgorBeg File Added: some-buttons-modifiedTimeAgo.png
2019-05-17 17:27 IgorBeg Note Added: 0001572
2019-05-17 18:58 Sam Note Added: 0001574
2019-05-17 23:40 Sam Note Edited: 0001574 View Revisions
2019-05-18 02:28 Sam Note Added: 0001575
2019-05-18 14:13 PhyllisSmith Note Added: 0001576
2019-05-19 00:10 Sam Note Added: 0001578
2019-05-20 09:14 IgorBeg Note Added: 0001579
2019-05-20 16:50 PhyllisSmith Note Added: 0001582
2019-05-21 09:49 Andrea_Paz Note Added: 0001583
2019-05-21 20:23 IgorBeg File Added: Cin-GG_themes_PinkLady-Hulk-Bright-Blue-Blond_Clear_btns.tar.gz
2019-05-21 20:23 IgorBeg Note Added: 0001584
2019-05-22 16:19 IgorBeg File Added: Cin-GG_themes_BlondCv-BlueDot_Clear_btns.tar.gz
2019-05-22 16:19 IgorBeg Note Added: 0001585
2019-05-22 16:55 PhyllisSmith Note Added: 0001586
2019-05-23 16:21 Sam Note Added: 0001587
2019-05-24 08:07 IgorBeg File Added: Cin-GG_themes_Clear_btns_source_SVG.tar.gz
2019-05-24 08:07 IgorBeg Note Added: 0001592
2019-05-24 09:11 IgorBeg File Added: Kdenlive-RGBparade_vs_CinelerraGG-Videoscope.jpg
2019-05-24 09:11 IgorBeg Note Added: 0001593
2019-05-27 19:53 PhyllisSmith Note Added: 0001597
2019-05-27 20:47 Sam Note Added: 0001598
2019-05-28 12:50 IgorBeg Note Added: 0001599
2019-05-28 14:43 PhyllisSmith Note Added: 0001600
2019-05-29 02:00 PhyllisSmith Note Added: 0001601
2019-05-29 11:32 IgorBeg Note Added: 0001603
2019-05-29 16:44 IgorBeg Note Added: 0001605
2019-05-29 16:48 PhyllisSmith Note Added: 0001606
2019-05-29 18:03 Andrea_Paz Note Added: 0001607
2019-05-29 18:17 PhyllisSmith Note Added: 0001608
2019-05-29 18:34 Sam Note Added: 0001609
2019-05-29 19:43 IgorBeg Note Added: 0001611
2019-05-29 20:20 Andrea_Paz Note Added: 0001612
2019-05-29 20:37 Sam Note Added: 0001613
2019-05-29 20:42 IgorBeg File Added: Mask_8radioButtons.png
2019-05-29 20:42 IgorBeg Note Added: 0001614
2019-05-29 20:45 IgorBeg Note Added: 0001615
2019-05-29 21:30 PhyllisSmith Note Added: 0001616
2019-05-30 03:24 PhyllisSmith Note Added: 0001619
2019-05-30 08:09 IgorBeg File Added: Mask_8radioButtons_andMark.png
2019-05-30 08:09 IgorBeg Note Added: 0001621
2019-05-30 08:23 IgorBeg Note Added: 0001622
2019-05-30 11:52 IgorBeg Note Added: 0001623
2019-05-31 01:34 PhyllisSmith Note Added: 0001624
2019-05-31 08:46 IgorBeg Note Added: 0001625
2019-05-31 14:16 PhyllisSmith Note Added: 0001626
2019-05-31 14:25 PhyllisSmith Note Edited: 0001626 View Revisions
2019-05-31 14:55 PhyllisSmith Note Edited: 0001626 View Revisions
2019-06-01 12:52 IgorBeg File Added: MaskWindow-Layout_20190531-d.png
2019-06-01 12:52 IgorBeg Note Added: 0001627
2019-06-01 13:10 Sam Note Added: 0001628
2019-06-02 08:36 IgorBeg File Added: MaskWindow-Layout_20190531-e_frames.png
2019-06-02 08:36 IgorBeg Note Added: 0001636
2019-06-07 00:49 PhyllisSmith Note Added: 0001678
2019-06-07 11:53 IgorBeg Note Added: 0001683
2019-06-23 02:47 PhyllisSmith Note Added: 0001759
2019-06-23 10:43 IgorBeg Note Added: 0001763
2019-06-23 10:56 Sam Note Added: 0001764
2019-06-23 11:07 Sam Note Added: 0001765
2019-06-23 11:35 Sam File Added: Mask_improve_01.png
2019-06-23 11:35 Sam Note Added: 0001766
2019-06-23 11:35 Sam File Added: Mask_improve_02.png
2019-06-23 12:53 IgorBeg Note Added: 0001768
2019-06-26 01:38 PhyllisSmith Note Added: 0001788
2019-06-26 09:59 IgorBeg Note Added: 0001790
2019-06-26 10:47 Sam Note Added: 0001792
2019-06-26 15:44 PhyllisSmith Note Added: 0001794
2019-06-27 01:11 PhyllisSmith Note Added: 0001795
2019-06-27 01:22 Sam Note Added: 0001796
2019-06-27 11:24 IgorBeg Note Added: 0001797
2019-06-27 11:41 IgorBeg Note Added: 0001798
2019-06-28 04:04 PhyllisSmith Note Added: 0001802
2019-06-28 11:06 IgorBeg Note Added: 0001806
2019-06-28 16:46 PhyllisSmith Note Added: 0001809
2019-06-28 20:08 IgorBeg Note Added: 0001810
2019-06-28 23:26 PhyllisSmith Note Added: 0001815
2019-06-28 23:42 Sam Note Added: 0001816
2019-06-29 00:08 Sam Note Added: 0001817
2019-06-29 10:17 IgorBeg Note Added: 0001820
2019-06-29 20:38 PhyllisSmith Note Added: 0001823
2019-06-29 21:54 Sam Note Added: 0001824
2019-06-30 12:08 IgorBeg Note Added: 0001828
2019-06-30 16:44 PhyllisSmith Note Added: 0001829
2019-06-30 23:51 Sam Note Added: 0001837
2019-07-01 00:31 PhyllisSmith Note Added: 0001838
2019-07-01 01:17 Sam Note Added: 0001839
2019-07-02 00:33 PhyllisSmith Note Added: 0001842
2019-07-05 04:00 PhyllisSmith Note Added: 0001851
2019-07-05 10:02 Sam Note Added: 0001852
2019-07-05 11:46 IgorBeg Note Added: 0001854
2019-07-05 11:56 IgorBeg Note Added: 0001855
2019-07-05 15:17 Sam Note Added: 0001856
2019-07-05 16:19 IgorBeg Note Added: 0001857
2019-07-05 18:35 Andrea_Paz Note Added: 0001858
2019-07-05 19:29 IgorBeg Note Added: 0001859
2019-07-05 21:06 PhyllisSmith Note Added: 0001861
2019-07-06 10:42 IgorBeg File Added: MaskTool_ShowAllBoundaryMasks.jpg
2019-07-06 10:42 IgorBeg Note Added: 0001863
2019-07-06 14:50 Andrea_Paz Note Added: 0001866
2019-07-07 01:56 PhyllisSmith Note Added: 0001870
2019-07-07 08:06 Andrea_Paz Note Added: 0001871
2019-07-07 15:36 IgorBeg File Added: Cin-GG_themes_SUV-Unflat_MaskTool_LinearSmooth_btns.tar.gz
2019-07-07 15:36 IgorBeg File Added: photomontage_SUV_MaskTool_newBtns_01.gif
2019-07-07 15:36 IgorBeg Note Added: 0001876
2019-07-08 03:42 PhyllisSmith Note Added: 0001879
2019-07-08 22:06 PhyllisSmith Note Added: 0001883
2019-07-08 22:15 PhyllisSmith Note Edited: 0001883 View Revisions
2019-07-09 08:04 Andrea_Paz Note Added: 0001886
2019-07-09 11:50 IgorBeg Note Added: 0001887
2019-07-09 15:40 Sam Note Added: 0001888
2019-07-10 03:32 PhyllisSmith Note Added: 0001891
2019-07-10 11:34 IgorBeg File Added: MaskWindow-Layout_201900710-a.png
2019-07-10 11:34 IgorBeg File Added: MaskWindow-Layout_201900710-b.png
2019-07-10 11:34 IgorBeg File Added: MaskTool_crvBtn-allBtn_A-B_version.png
2019-07-10 11:34 IgorBeg Note Added: 0001893
2019-07-10 21:38 Andrea_Paz Note Added: 0001894
2019-07-10 22:10 Sam Note Added: 0001895
2019-07-10 22:16 PhyllisSmith Note Added: 0001896
2019-07-11 03:00 PhyllisSmith Note Added: 0001897
2019-07-11 12:28 IgorBeg Note Added: 0001898
2019-07-11 15:50 Sam File Added: Mask_window.jpg
2019-07-11 15:50 Sam Note Added: 0001899
2019-07-11 16:01 Sam Note Added: 0001900
2019-07-11 20:32 PhyllisSmith Note Added: 0001901
2019-07-11 20:35 PhyllisSmith Note Edited: 0001901 View Revisions
2019-07-12 13:59 IgorBeg File Added: MaskWindow-Layout_201900712_1.gif
2019-07-12 14:14 IgorBeg File Added: MaskWindow-Layout_201900712_1-2.gif
2019-07-12 14:14 IgorBeg File Added: MaskWindow-Layout_201900712_2.gif
2019-07-12 14:14 IgorBeg Note Added: 0001903
2019-07-12 15:46 Sam Note Added: 0001904
2019-07-13 00:23 Sam Note Added: 0001905
2019-07-13 09:02 IgorBeg Note Added: 0001907
2019-07-13 12:40 IgorBeg File Added: MaskWindow-Layout_201900713_a-1a.gif
2019-07-13 12:40 IgorBeg File Added: MaskTool_btns.tar.gz
2019-07-13 12:40 IgorBeg Note Added: 0001909
2019-07-13 13:11 Sam Note Added: 0001910
2019-07-14 04:16 Sam File Added: Mask_window_final.jpg
2019-07-14 04:16 Sam Note Added: 0001911
2019-07-14 04:17 Sam File Deleted: Mask_window_final.jpg
2019-07-14 04:18 Sam File Added: Mask_window_final_01.jpg
2019-07-14 04:18 Sam File Added: Mask_window_final_with_comments.jpg
2019-07-14 04:18 Sam Note Added: 0001912
2019-07-14 10:11 IgorBeg Note Added: 0001913
2019-07-14 11:16 Sam File Added: Mask_window_final_03.jpg
2019-07-14 11:16 Sam Note Added: 0001914
2019-07-14 11:35 Olaf Note Added: 0001915
2019-07-14 12:43 IgorBeg File Added: MaskWindow-Layout_201900713_a-1aa.gif
2019-07-14 12:43 IgorBeg Note Added: 0001916
2019-07-14 13:20 Sam File Added: Mask_window_final_05.jpg
2019-07-14 13:20 Sam File Added: Mask_window_final_06.png
2019-07-14 13:20 Sam Note Added: 0001917
2019-07-14 13:21 Sam File Deleted: Mask_window_final_05.jpg
2019-07-14 13:23 administrator File Deleted: Mask_window_final_06.png
2019-07-14 13:23 administrator Note Edited: 0001917 View Revisions
2019-07-16 09:30 IgorBeg File Added: MaskTool_point-prst-pstn-scale_btns.tar.gz
2019-07-16 09:30 IgorBeg File Added: MaskTool_ShowHidebtn_demo_201900716.gif
2019-07-16 09:30 IgorBeg Note Added: 0001920
2019-07-16 10:13 Sam Note Added: 0001921
2019-07-16 10:38 Olaf File Added: delete.svg
2019-07-16 10:38 Olaf Note Added: 0001922
2019-07-16 12:01 IgorBeg Note Added: 0001923
2019-07-16 15:24 Sam Note Added: 0001924
2019-07-16 22:37 Sam Note Added: 0001925
2019-07-17 07:17 IgorBeg Note Added: 0001926
2019-07-17 10:51 Sam Note Added: 0001927
2019-07-17 11:44 IgorBeg File Added: MaskTool_ShowHidebtn_demo_20190717_a.gif
2019-07-17 11:44 IgorBeg Note Added: 0001928
2019-07-17 23:28 Sam File Added: Mask_window_final_06.jpg
2019-07-17 23:28 Sam File Added: Mask_window_final_07.jpg
2019-07-17 23:28 Sam Note Added: 0001934
2019-07-18 07:18 IgorBeg Note Added: 0001936
2019-07-18 09:15 MatN Note Added: 0001937
2019-07-18 09:43 MatN Note Added: 0001938
2019-07-18 10:36 Sam File Added: eye.svg
2019-07-18 10:36 Sam Note Added: 0001939
2019-07-18 11:45 IgorBeg Note Added: 0001941
2019-07-19 20:13 PhyllisSmith Note Added: 0001955
2019-07-19 20:30 Sam Note Added: 0001956
2019-07-20 08:45 IgorBeg Note Added: 0001958
2019-07-20 12:29 Sam File Added: Mask_translate.jpg
2019-07-20 12:29 Sam Note Added: 0001959
2019-07-20 12:32 Sam File Deleted: Mask_translate.jpg
2019-07-20 12:32 Sam File Added: Mask_translate.jpg
2019-07-21 12:26 IgorBeg File Added: MaskTool_unclear(eye)_btns.tar.gz
2019-07-21 12:26 IgorBeg Note Added: 0001962
2019-07-22 00:53 PhyllisSmith Note Added: 0001965
2019-07-22 09:49 IgorBeg Note Added: 0001967
2019-07-22 13:02 IgorBeg Note Added: 0001968
2019-07-23 00:55 PhyllisSmith Note Added: 0001969
2019-07-23 06:51 IgorBeg Note Added: 0001970
2019-07-23 06:56 Sam Note Added: 0001971
2019-07-23 13:35 PhyllisSmith Note Added: 0001972
2019-07-23 18:47 IgorBeg Note Added: 0001973
2019-07-24 01:54 PhyllisSmith Note Added: 0001976
2019-07-24 07:56 IgorBeg File Added: MaskTool_with_OpenCloseSections_demo.gif
2019-07-24 07:56 IgorBeg Note Added: 0001977
2019-07-25 04:07 PhyllisSmith Note Added: 0001982
2019-07-25 09:06 IgorBeg Note Added: 0001983
2019-07-27 07:59 IgorBeg File Added: MaskTool_btns_PNG-SVG.tar.gz
2019-07-27 07:59 IgorBeg Note Added: 0001985
2019-07-27 14:02 PhyllisSmith Note Added: 0001986
2019-07-28 13:16 PhyllisSmith Status assigned => resolved
2019-07-28 13:16 PhyllisSmith Resolution open => fixed
2019-07-28 13:16 PhyllisSmith Fixed in Version => 2019-07
2019-07-28 13:16 PhyllisSmith Note Added: 0001988
2019-08-01 20:37 PhyllisSmith Status resolved => closed